/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { ApiHeaders, Response } from "@managed-api/commons-core";
export declare function constructHeaders(body?: any, manualHeaders?: ApiHeaders, customParams?: unknown): import("@managed-api/commons-core").Headers;
export declare function errorMessageBuilder(response: Response, reason?: string): Promise<string | undefined>;
export declare class SlackError<Err = GenericSlackErrorResponse> extends Error {
    response: Response<Err>;
    name: string;
    constructor(response: Response<Err>, message: string);
}
interface GenericSlackErrorResponse {
    ok: false;
    error: string;
}
export interface PreferredAuthOption {
    /**
     * Preferred authentication token to use for API call. Token usage cannot be guaranteed and may default to more sensible option.
     */
    preferredAuth?: "USER" | "BOT";
}
export interface UserIdOption {
    /**
     * Slack User ID to use for authentication.
     */
    userId?: string;
}
export interface ReplyMessageOption {
    responseUrl: string;
}
export {};
//# sourceMappingURL=common.d.ts.map