/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BlocksAsResponse } from "../definitions/BlocksAsResponse";
import { DefsBotIdAsResponse } from "../definitions/DefsBotIdAsResponse";
import { ObjsBotProfileAsResponse } from "../definitions/ObjsBotProfileAsResponse";
import { ObjsCommentAsResponse } from "../definitions/ObjsCommentAsResponse";
import { ObjsFileAsResponse } from "../definitions/ObjsFileAsResponse";
import { DefsUserIdAsResponse } from "../definitions/DefsUserIdAsResponse";
import { DefsTsAsResponse } from "../definitions/DefsTsAsResponse";
import { DefsChannelAsResponse } from "../definitions/DefsChannelAsResponse";
import { ObjsReactionAsResponse } from "../definitions/ObjsReactionAsResponse";
import { DefsWorkspaceIdAsResponse } from "../definitions/DefsWorkspaceIdAsResponse";
import { ObjsUserProfileShortAsResponse } from "../definitions/ObjsUserProfileShortAsResponse";
export interface ObjsMessageAsResponse {
    attachments?: Array<{
        fallback?: string;
        id: number;
        title?: string;
        text?: string;
        pretext?: string;
        color?: string;
        image_bytes?: number;
        image_height?: number;
        image_url?: string;
        image_width?: number;
        from_url?: string;
        original_url?: string;
    }>;
    app_id?: string;
    blocks?: BlocksAsResponse;
    bot_id?: DefsBotIdAsResponse | null;
    bot_profile?: ObjsBotProfileAsResponse;
    client_msg_id?: string;
    comment?: ObjsCommentAsResponse;
    display_as_bot?: boolean;
    edited?: {
        user: string;
        ts: string;
    };
    file?: ObjsFileAsResponse;
    files?: Array<ObjsFileAsResponse>;
    icons?: {
        emoji?: string;
        [x: string]: any;
    };
    inviter?: DefsUserIdAsResponse;
    is_delayed_message?: boolean;
    is_intro?: boolean;
    is_locked?: boolean;
    is_starred?: boolean;
    last_read?: DefsTsAsResponse;
    latest_reply?: DefsTsAsResponse;
    metadata?: {
        event_type: string;
        event_payload: {
            id?: number;
            title?: string;
        };
    };
    name?: string;
    old_name?: string;
    parent_user_id?: DefsUserIdAsResponse;
    permalink?: string;
    pinned_to?: Array<DefsChannelAsResponse>;
    purpose?: string;
    reactions?: Array<ObjsReactionAsResponse>;
    reply_count?: number;
    reply_users?: Array<DefsUserIdAsResponse>;
    reply_users_count?: number;
    root?: ObjsMessageAsResponse;
    source_team?: DefsWorkspaceIdAsResponse;
    subscribed?: boolean;
    subtype?: string;
    team?: DefsWorkspaceIdAsResponse;
    text: string;
    thread_ts?: DefsTsAsResponse;
    topic?: string;
    ts?: DefsTsAsResponse;
    type: string;
    unread_count?: number;
    upload?: boolean;
    user?: DefsUserIdAsResponse;
    user_profile?: ObjsUserProfileShortAsResponse;
    user_team?: DefsWorkspaceIdAsResponse;
    username?: string;
}
//# sourceMappingURL=ObjsMessageAsResponse.d.ts.map