/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjsEnterpriseUserAsResponse } from "../definitions/ObjsEnterpriseUserAsResponse";
import { DefsUserIdAsResponse } from "../definitions/DefsUserIdAsResponse";
import { ObjsUserProfileAsResponse } from "../definitions/ObjsUserProfileAsResponse";
import { DefsWorkspaceIdAsResponse } from "../definitions/DefsWorkspaceIdAsResponse";
import { ObjsTeamProfileFieldAsResponse } from "../definitions/ObjsTeamProfileFieldAsResponse";
export declare type ObjsUserAsResponse = {
    color?: string;
    deleted?: boolean;
    enterprise_user?: ObjsEnterpriseUserAsResponse;
    has_2fa?: boolean;
    id: DefsUserIdAsResponse;
    is_admin?: boolean;
    is_app_user: boolean;
    is_bot: boolean;
    is_external?: boolean;
    is_forgotten?: boolean;
    is_invited_user?: boolean;
    is_owner?: boolean;
    is_primary_owner?: boolean;
    is_restricted?: boolean;
    is_stranger?: boolean;
    is_ultra_restricted?: boolean;
    locale?: string;
    name: string;
    presence?: string;
    profile: ObjsUserProfileAsResponse;
    real_name?: string;
    team?: DefsWorkspaceIdAsResponse;
    team_id?: DefsWorkspaceIdAsResponse;
    team_profile?: {
        fields: Array<ObjsTeamProfileFieldAsResponse>;
    };
    two_factor_type?: string;
    tz?: string | null;
    tz_label?: string;
    tz_offset?: number;
    updated: number;
} & {
    /**
     * refercing to bug: https://jira.tinyspeck.com/browse/EVALUE-1559
     */
    color?: string;
    deleted?: boolean;
    enterprise_user?: ObjsEnterpriseUserAsResponse;
    has_2fa?: boolean;
    id: DefsUserIdAsResponse;
    is_admin?: boolean;
    is_app_user: boolean;
    is_bot: boolean;
    is_external?: boolean;
    is_forgotten?: boolean;
    is_owner?: boolean;
    is_primary_owner?: boolean;
    is_restricted?: boolean;
    is_stranger?: boolean;
    is_ultra_restricted?: boolean;
    locale?: string;
    name: string;
    presence?: string;
    profile: ObjsUserProfileAsResponse;
    real_name?: string;
    team_id?: DefsWorkspaceIdAsResponse;
    team_profile?: {
        fields: Array<ObjsTeamProfileFieldAsResponse>;
    };
    teams?: Array<DefsWorkspaceIdAsResponse>;
    two_factor_type?: string;
    tz?: string | null;
    tz_label?: string;
    tz_offset?: number;
    updated: number;
};
//# sourceMappingURL=ObjsUserAsResponse.d.ts.map