/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { AnythingButUndefined, BaseErrorStrategyHandlers, BaseErrorStrategyOption, CustomErrorHandler, ErrorStrategyBuilderConstructor } from "@managed-api/commons-core";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
import { SlackError } from "./common";
export interface CommonError {
    errorMessages: string[];
    errors: Record<string, string>;
}
export declare type AdditionalErrorTypes = SlackError;
export interface ErrorStrategyHandlers extends BaseErrorStrategyHandlers<CommonError, AdditionalErrorTypes> {
    handleSlackError?(error: SlackError, attempt: number): AnythingButUndefined;
}
export interface ErrorStrategyOption extends BaseErrorStrategyOption<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> {
}
export declare const customErrorHandlers: CustomErrorHandler[];
export declare const errorStrategyBuilderConstructor: ErrorStrategyBuilderConstructor<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>;
//# sourceMappingURL=errorStrategy.d.ts.map