/*!
* Copyright Adaptavist 2022 (c) All rights reserved
*/
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
import { SlackError } from "./common";
export const customErrorHandlers = [{
        errorName: 'SlackError',
        handlerName: 'handleSlackError',
        processResponse: async (res) => {
            if (res.ok) {
                const body = await res.json();
                if (body) {
                    if (!body.ok) {
                        throw new SlackError(res, body.error);
                    }
                }
            }
        }
    }];
export const errorStrategyBuilderConstructor = () => new ErrorStrategyBuilder();
//# sourceMappingURL=errorStrategy.js.map