/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AdminSetRegularUserRequest, AdminSetRegularUserResponseOK } from "./types/admin/users";
import { AdminSetOwnerUserRequest, AdminSetOwnerUserResponseOK } from "./types/admin/users";
import { AdminSetUserExpirationRequest, AdminSetUserExpirationResponseOK } from "./types/admin/users";
import { AdminSetAdminUserRequest, AdminSetAdminUserResponseOK } from "./types/admin/users";
import { AdminRemoveUserRequest, AdminRemoveUserResponseOK } from "./types/admin/users";
import { AdminGetUsersRequest, AdminGetUsersResponseOK } from "./types/admin/users";
import { AdminInviteUserResponseOK, AdminInviteUserRequest } from "./types/admin/users";
import { AdminAssignUserResponseOK, AdminAssignUserRequest } from "./types/admin/users";
import { UpdateViewRequest, UpdateViewResponseOK } from "./types/view";
import { PushViewRequest, PushViewResponseOK } from "./types/view";
import { PublishViewRequest, PublishViewResponseOK } from "./types/view";
import { OpenViewRequest, OpenViewResponseOK } from "./types/view";
import { SetUserProfileRequest, SetUserProfileResponseOK } from "./types/user/profile";
import { GetUserProfileRequest, GetUserProfileResponseOK } from "./types/user/profile";
import { GetUserByEmailRequest, GetUserByEmailResponseOK } from "./types/user";
import { GetUsersRequest, GetUsersResponseOK } from "./types/user";
import { GetUserInfoRequest, GetUserInfoResponseOK } from "./types/user";
import { GetUserIdentityRequest, GetUserIdentityResponseOK } from "./types/user";
import { GetUserConversationsRequest, GetUserConversationsResponseOK } from "./types/user";
import { GetUserPresenceRequest, GetUserPresenceResponseOK } from "./types/user";
import { SetUserPresenceRequest, SetUserPresenceResponseOK } from "./types/user";
import { GetRemindersRequest, GetRemindersResponseOK } from "./types/reminders";
import { GetReminderInfoRequest, GetReminderInfoResponseOK } from "./types/reminders";
import { DeleteReminderRequest, DeleteReminderResponseOK } from "./types/reminders";
import { CompleteReminderRequest, CompleteReminderResponseOK } from "./types/reminders";
import { AddReminderRequest, AddReminderResponseOK } from "./types/reminders";
import { RemovePinRequest, RemovePinResponseOK } from "./types/pins";
import { GetPinsRequest, GetPinsResponseOK } from "./types/pins";
import { AddPinRequest, AddPinResponseOK } from "./types/pins";
import { GetBotInfoRequest, GetBotInfoResponseOK } from "./types/bot";
import { DeleteChatMessageRequest, DeleteChatMessageResponseOK } from "./types/chat";
import { DeleteChatScheduledMessageRequest, DeleteChatScheduledMessageResponseOK } from "./types/chat";
import { GetChatPermalinkRequest, GetChatPermalinkResponseOK } from "./types/chat";
import { PostChatMeMessageRequest, PostChatMeMessageResponseOK } from "./types/chat";
import { PostChatEphemeralMessageRequest, PostChatEphemeralMessageResponseOK } from "./types/chat";
import { PostChatMessageRequest, PostChatMessageResponseOK } from "./types/chat";
import { ScheduleChatMessageRequest, ScheduleChatMessageResponseOK } from "./types/chat";
import { GetChatScheduledMessagesRequest, GetChatScheduledMessagesResponseOK } from "./types/chat";
import { UnfurlChatMessageRequest, UnfurlChatMessageResponseOK } from "./types/chat";
import { UpdateChatMessageRequest, UpdateChatMessageResponseOK } from "./types/chat";
import { ArchiveConversationRequest, ArchiveConversationResponseOK } from "./types/conversation";
import { CloseConversationRequest, CloseConversationResponseOK } from "./types/conversation";
import { CreateConversationRequest, CreateConversationResponseOK } from "./types/conversation";
import { GetConversationHistoryRequest, GetConversationHistoryResponseOK } from "./types/conversation";
import { GetConversationInfoRequest, GetConversationInfoResponseOK } from "./types/conversation";
import { InviteUserToConversationRequest, InviteUserToConversationResponseOK } from "./types/conversation";
import { JoinConversationRequest, JoinConversationResponseOK } from "./types/conversation";
import { KickUserFromConversationRequest, KickUserFromConversationResponseOK } from "./types/conversation";
import { LeaveConversationRequest, LeaveConversationResponseOK } from "./types/conversation";
import { GetConversationsRequest, GetConversationsResponseOK } from "./types/conversation";
import { GetConversationMembersRequest, GetConversationMembersResponseOK } from "./types/conversation";
import { OpenConversationRequest, OpenConversationResponseOK } from "./types/conversation";
import { RenameConversationRequest, RenameConversationResponseOK } from "./types/conversation";
import { GetConversationRepliesRequest, GetConversationRepliesResponseOK } from "./types/conversation";
import { SetConversationPurposeRequest, SetConversationPurposeResponseOK } from "./types/conversation";
import { SetConversationTopicRequest, SetConversationTopicResponseOK } from "./types/conversation";
import { UnarchiveConversationRequest, UnarchiveConversationResponseOK } from "./types/conversation";
import { OpenDialogRequest, OpenDialogResponseOK } from "./types/dialog";
import { EndDndRequest, EndDndResponseOK } from "./types/dnd";
import { EndDndSnoozeRequest, EndDndSnoozeResponseOK } from "./types/dnd";
import { GetDndInfoRequest, GetDndInfoResponseOK } from "./types/dnd";
import { SetDndSnoozeRequest, SetDndSnoozeResponseOK } from "./types/dnd";
import { GetDndTeamInfoRequest, GetDndTeamInfoResponseOK } from "./types/dnd";
import { GetEmojisRequest, GetEmojisResponseOK } from "./types/emoji";
import { DeleteFileCommentRequest, DeleteFileCommentResponseOK } from "./types/file/comment";
import { RevokeFilePublicUrlRequest, RevokeFilePublicUrlResponseOK } from "./types/file/publicUrl";
import { CreateFilePublicUrlRequest, CreateFilePublicUrlResponseOK } from "./types/file/publicUrl";
import { AddRemoteFileRequest, AddRemoteFileResponseOK } from "./types/file/remote";
import { GetRemoteFileInfoRequest, GetRemoteFileInfoResponseOK } from "./types/file/remote";
import { GetRemoteFilesRequest, GetRemoteFilesResponseOK } from "./types/file/remote";
import { RemoveRemoteFileRequest, RemoveRemoteFileResponseOK } from "./types/file/remote";
import { ShareRemoteFileRequest, ShareRemoteFileResponseOK } from "./types/file/remote";
import { UpdateRemoteFileRequest, UpdateRemoteFileResponseOK } from "./types/file/remote";
import { DeleteFileRequest, DeleteFileResponseOK } from "./types/file";
import { GetFileInfoRequest, GetFileInfoResponseOK } from "./types/file";
import { GetFilesRequest, GetFilesResponseOK } from "./types/file";
import { UploadFileRequest, UploadFileResponseOK } from "./types/file";
import { AddReactionRequest, AddReactionResponseOK } from "./types/reaction";
import { GetReactionRequest, GetReactionResponseOK } from "./types/reaction";
import { GetReactionsRequest, GetReactionsResponseOK } from "./types/reaction";
import { RemoveReactionRequest, RemoveReactionResponseOK } from "./types/reaction";
import { SearchMessagesRequest, SearchMessagesResponseOK } from "./types/search";
import { GetTeamProfileRequest, GetTeamProfileResponseOK } from "./types/team/profile";
import { GetTeamAccessLogsRequest, GetTeamAccessLogsResponseOK } from "./types/team";
import { GetTeamBillableInfoRequest, GetTeamBillableInfoResponseOK } from "./types/team";
import { GetTeamInfoRequest, GetTeamInfoResponseOK } from "./types/team";
import { GetTeamIntegrationLogsRequest, GetTeamIntegrationLogsResponseOK } from "./types/team";
import { GetUsersInUserGroupRequest, GetUsersInUserGroupResponseOK } from "./types/userGroup/user";
import { UpdateUsersInUserGroupRequest, UpdateUsersInUserGroupResponseOK } from "./types/userGroup/user";
import { CreateUserGroupRequest, CreateUserGroupResponseOK } from "./types/userGroup";
import { DisableUserGroupRequest, DisableUserGroupResponseOK } from "./types/userGroup";
import { EnableUserGroupRequest, EnableUserGroupResponseOK } from "./types/userGroup";
import { GetUserGroupsRequest, GetUserGroupsResponseOK } from "./types/userGroup";
import { UpdateUserGroupRequest, UpdateUserGroupResponseOK } from "./types/userGroup";
import { PostReplyMessageRequest, PostReplyMessageResponseOK } from "./types/reply";
import { BaseApiCore, Headers, Response, ErrorStrategyOptionType, PlatformImplementation } from "@managed-api/commons-core";
import { CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyOption } from "./errorStrategy";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface SlackApiCoreOptions extends ErrorStrategyOption {
}
declare type GetGlobalErrorStrategy = () => ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> | undefined;
export declare abstract class SlackApiCore extends BaseApiCore {
    private options?;
    Admin: AdminGroup;
    View: ViewGroup;
    User: UserGroup;
    Reminders: RemindersGroup;
    Pins: PinsGroup;
    Bot: BotGroup;
    Chat: ChatGroup;
    Conversation: ConversationGroup;
    Dialog: DialogGroup;
    Dnd: DndGroup;
    Emoji: EmojiGroup;
    File: FileGroup;
    Reaction: ReactionGroup;
    Search: SearchGroup;
    Team: TeamGroup;
    UserGroup: UserGroupGroup;
    Reply: ReplyGroup;
    All: AllGroup;
    AllUser: AllUserGroup;
    AllBot: AllBotGroup;
    constructor(options?: SlackApiCoreOptions | undefined);
    setGlobalErrorStrategy(errorStrategy: ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>): void;
    protected buildResponse(url: string, status: number, statusText: string, headers: Headers, body?: string | ArrayBuffer): Response<any>;
    private getGlobalErrorStrategy;
}
declare class AllGroup {
    private Admin;
    private View;
    private User;
    private Reminders;
    private Pins;
    private Bot;
    private Chat;
    private Conversation;
    private Dialog;
    private Dnd;
    private Emoji;
    private File;
    private Reaction;
    private Search;
    private Team;
    private UserGroup;
    private Reply;
    constructor(Admin: AdminGroup, View: ViewGroup, User: UserGroup, Reminders: RemindersGroup, Pins: PinsGroup, Bot: BotGroup, Chat: ChatGroup, Conversation: ConversationGroup, Dialog: DialogGroup, Dnd: DndGroup, Emoji: EmojiGroup, File: FileGroup, Reaction: ReactionGroup, Search: SearchGroup, Team: TeamGroup, UserGroup: UserGroupGroup, Reply: ReplyGroup);
    /**
     * Set an existing guest user, admin user, or owner to be a regular user.
     * Alternative usage: Admin.Users.setRegular
     * Documentation: https://api.slack.com/methods/admin.users.setRegular
     * @param options Request options.
     */
    adminSetRegularUser<T = AdminSetRegularUserResponseOK>(options: AdminSetRegularUserRequest): Promise<AdminSetRegularUserResponseOK | T>;
    /**
     * Set an existing guest, regular user, or admin user to be a workspace owner.
     * Alternative usage: Admin.Users.setOwner
     * Documentation: https://api.slack.com/methods/admin.users.setOwner
     * @param options Request options.
     */
    adminSetOwnerUser<T = AdminSetOwnerUserResponseOK>(options: AdminSetOwnerUserRequest): Promise<AdminSetOwnerUserResponseOK | T>;
    /**
     * Set an expiration for a guest user
     * Alternative usage: Admin.Users.setExpiration
     * Documentation: https://api.slack.com/methods/admin.users.setExpiration
     * @param options Request options.
     */
    adminSetUserExpiration<T = AdminSetUserExpirationResponseOK>(options: AdminSetUserExpirationRequest): Promise<AdminSetUserExpirationResponseOK | T>;
    /**
     * Set an existing guest, regular user, or owner to be an admin user.
     * Alternative usage: Admin.Users.setAdmin
     * Documentation: https://api.slack.com/methods/admin.users.setAdmin
     * @param options Request options.
     */
    adminSetAdminUser<T = AdminSetAdminUserResponseOK>(options: AdminSetAdminUserRequest): Promise<AdminSetAdminUserResponseOK | T>;
    /**
     * Remove a user from a workspace.
     * Alternative usage: Admin.Users.removeUser
     * Documentation: https://api.slack.com/methods/admin.users.remove
     * @param options Request options.
     */
    adminRemoveUser<T = AdminRemoveUserResponseOK>(options: AdminRemoveUserRequest): Promise<AdminRemoveUserResponseOK | T>;
    /**
     * List users on a workspace
     * Alternative usage: Admin.Users.getUsers
     * Documentation: https://api.slack.com/methods/admin.users.list
     * @param options Request options.
     */
    adminGetUsers<T = AdminGetUsersResponseOK>(options: AdminGetUsersRequest): Promise<AdminGetUsersResponseOK | T>;
    /**
     * Invite a user to a workspace.
     * Recommended usage: Admin.Users.inviteUser
     * Documentation: https://api.slack.com/methods/admin.users.invite
     * @param options Request options.
     */
    adminInviteUser<T = AdminInviteUserResponseOK>(options: AdminInviteUserRequest): Promise<AdminInviteUserResponseOK | T>;
    /**
     * Add an Enterprise user to a workspace.
     * Recommended usage: Admin.Users.assignUser
     * Documentation: https://api.slack.com/methods/admin.users.assign
     * @param options Request options.
     */
    adminAssignUser<T = AdminAssignUserResponseOK>(options: AdminAssignUserRequest): Promise<AdminAssignUserResponseOK | T>;
    /**
     * Update an existing view.
     * Alternative usage: View.updateView
     * Documentation: https://api.slack.com/methods/views.update
     * @param options Request options.
     */
    updateView<T = UpdateViewResponseOK>(options: UpdateViewRequest): Promise<UpdateViewResponseOK | T>;
    /**
     * Push a view onto the stack of a root view.
     * Alternative usage: View.pushView
     * Documentation: https://api.slack.com/methods/views.push
     * @param options Request options.
     */
    pushView<T = PushViewResponseOK>(options: PushViewRequest): Promise<PushViewResponseOK | T>;
    /**
     * Publish a static view for a User.
     * Alternative usage: View.publishView
     * Documentation: https://api.slack.com/methods/views.publish
     * @param options Request options.
     */
    publishView<T = PublishViewResponseOK>(options: PublishViewRequest): Promise<PublishViewResponseOK | T>;
    /**
     * Open a view for a user.
     * Alternative usage: View.openView
     * Documentation: https://api.slack.com/methods/views.open
     * @param options Request options.
     */
    openView<T = OpenViewResponseOK>(options: OpenViewRequest): Promise<OpenViewResponseOK | T>;
    /**
     * Find a user with an email address.
     * Alternative usage: User.getUserByEmail
     * Documentation: https://api.slack.com/methods/users.lookupByEmail
     * @param options Request options.
     */
    getUserByEmail<T = GetUserByEmailResponseOK>(options: GetUserByEmailRequest): Promise<GetUserByEmailResponseOK | T>;
    /**
     * Lists all users in a Slack team.
     * Alternative usage: User.getUsers
     * Documentation: https://api.slack.com/methods/users.list
     * @param options Request options.
     */
    getUsers<T = GetUsersResponseOK>(options?: GetUsersRequest): Promise<GetUsersResponseOK | T>;
    /**
     * Gets information about a user.
     * Alternative usage: User.getInfo
     * Documentation: https://api.slack.com/methods/users.info
     * @param options Request options.
     */
    getUserInfo<T = GetUserInfoResponseOK>(options: GetUserInfoRequest): Promise<GetUserInfoResponseOK | T>;
    /**
     * Get a user's identity.
     * Alternative usage: User.getIdentity
     * Documentation: https://api.slack.com/methods/users.identity
     * @param options Request options.
     */
    getUserIdentity<T = GetUserIdentityResponseOK>(options?: GetUserIdentityRequest): Promise<GetUserIdentityResponseOK | T>;
    /**
     * List conversations the calling user may access.
     * Alternative usage: User.getConversations
     * Documentation: https://api.slack.com/methods/users.conversations
     * @param options Request options.
     */
    getUserConversations<T = GetUserConversationsResponseOK>(options?: GetUserConversationsRequest): Promise<GetUserConversationsResponseOK | T>;
    /**
     * Gets user presence information.
     * Alternative usage: User.getPresence
     * Documentation: https://api.slack.com/methods/users.getPresence
     * @param options Request options.
     */
    getUserPresence<T = GetUserPresenceResponseOK>(options?: GetUserPresenceRequest): Promise<GetUserPresenceResponseOK | T>;
    /**
     * Manually sets user presence.
     * Alternative usage: User.setPresence
     * Documentation: https://api.slack.com/methods/users.setPresence
     * @param options Request options.
     */
    setUserPresence<T = SetUserPresenceResponseOK>(options: SetUserPresenceRequest): Promise<SetUserPresenceResponseOK | T>;
    /**
     * Set the profile information for a user.
     * Alternative usage: User.Profile.setProfile
     * Documentation: https://api.slack.com/methods/users.profile.set
     * @param options Request options.
     */
    setUserProfile<T = SetUserProfileResponseOK>(options: SetUserProfileRequest): Promise<SetUserProfileResponseOK | T>;
    /**
     * Retrieves a user's profile information.
     * Alternative usage: User.Profile.getProfile
     * Documentation: https://api.slack.com/methods/users.profile.get
     * @param options Request options.
     */
    getUserProfile<T = GetUserProfileResponseOK>(options?: GetUserProfileRequest): Promise<GetUserProfileResponseOK | T>;
    /**
     * Lists all reminders created by or for a given user.
     * Alternative usage: Reminders.getReminders
     * Documentation: https://api.slack.com/methods/reminders.list
     * @param options Request options.
     */
    getReminders<T = GetRemindersResponseOK>(options?: GetRemindersRequest): Promise<GetRemindersResponseOK | T>;
    /**
     * Gets information about a reminder.
     * Alternative usage: Reminders.getInfo
     * Documentation: https://api.slack.com/methods/reminders.info
     * @param options Request options.
     */
    getReminderInfo<T = GetReminderInfoResponseOK>(options: GetReminderInfoRequest): Promise<GetReminderInfoResponseOK | T>;
    /**
     * Deletes a reminder.
     * Alternative usage: Reminders.deleteReminder
     * Documentation: https://api.slack.com/methods/reminders.delete
     * @param options Request options.
     */
    deleteReminder<T = DeleteReminderResponseOK>(options: DeleteReminderRequest): Promise<DeleteReminderResponseOK | T>;
    /**
     * Marks a reminder as complete.
     * Alternative usage: Reminders.completeReminder
     * Documentation: https://api.slack.com/methods/reminders.complete
     * @param options Request options.
     */
    completeReminder<T = CompleteReminderResponseOK>(options: CompleteReminderRequest): Promise<CompleteReminderResponseOK | T>;
    /**
     * Creates a reminder.
     * Alternative usage: Reminders.addReminder
     * Documentation: https://api.slack.com/methods/reminders.add
     * @param options Request options.
     */
    addReminder<T = AddReminderResponseOK>(options: AddReminderRequest): Promise<AddReminderResponseOK | T>;
    /**
     * Un-pins an item from a channel.
     * Alternative usage: Pins.removePin
     * Documentation: https://api.slack.com/methods/pins.remove
     * @param options Request options.
     */
    removePin<T = RemovePinResponseOK>(options: RemovePinRequest): Promise<RemovePinResponseOK | T>;
    /**
     * Lists items pinned to a channel.
     * Alternative usage: Pins.getPins
     * Documentation: https://api.slack.com/methods/pins.list
     * @param options Request options.
     */
    getPins<T = GetPinsResponseOK>(options: GetPinsRequest): Promise<GetPinsResponseOK | T>;
    /**
     * Pins an item to a channel.
     * Alternative usage: Pins.addPin
     * Documentation: https://api.slack.com/methods/pins.add
     * @param options Request options.
     */
    addPin<T = AddPinResponseOK>(options: AddPinRequest): Promise<AddPinResponseOK | T>;
    /**
     * Gets information about a bot user.
     * Alternative usage: Bot.getInfo
     * Documentation: https://api.slack.com/methods/bots.info
     * @param options Request options.
     */
    getBotInfo<T = GetBotInfoResponseOK>(options?: GetBotInfoRequest): Promise<GetBotInfoResponseOK | T>;
    /**
     * Deletes a message.
     * Alternative usage: Chat.deleteMessage
     * Documentation: https://api.slack.com/methods/chat.delete
     * @param options Request options.
     */
    deleteChatMessage<T = DeleteChatMessageResponseOK>(options: DeleteChatMessageRequest): Promise<DeleteChatMessageResponseOK | T>;
    /**
     * Deletes a pending scheduled message from the queue.
     * Alternative usage: Chat.deleteScheduledMessage
     * Documentation: https://api.slack.com/methods/chat.deleteScheduledMessage
     * @param options Request options.
     */
    deleteChatScheduledMessage<T = DeleteChatScheduledMessageResponseOK>(options: DeleteChatScheduledMessageRequest): Promise<DeleteChatScheduledMessageResponseOK | T>;
    /**
     * Retrieve a permalink URL for a specific extant message
     * Alternative usage: Chat.getPermalink
     * Documentation: https://api.slack.com/methods/chat.getPermalink
     * @param options Request options.
     */
    getChatPermalink<T = GetChatPermalinkResponseOK>(options: GetChatPermalinkRequest): Promise<GetChatPermalinkResponseOK | T>;
    /**
     * Share a me message into a channel.
     * Alternative usage: Chat.postMeMessage
     * Documentation: https://api.slack.com/methods/chat.meMessage
     * @param options Request options.
     */
    postChatMeMessage<T = PostChatMeMessageResponseOK>(options: PostChatMeMessageRequest): Promise<PostChatMeMessageResponseOK | T>;
    /**
     * Sends an ephemeral message to a user in a channel.
     * Alternative usage: Chat.postEphemeralMessage
     * Documentation: https://api.slack.com/methods/chat.postEphemeral
     * @param options Request options.
     */
    postChatEphemeralMessage<T = PostChatEphemeralMessageResponseOK>(options: PostChatEphemeralMessageRequest): Promise<PostChatEphemeralMessageResponseOK | T>;
    /**
     * Sends a message to a channel.
     * Alternative usage: Chat.postMessage
     * Documentation: https://api.slack.com/methods/chat.postMessage
     * @param options Request options.
     */
    postChatMessage<T = PostChatMessageResponseOK>(options: PostChatMessageRequest): Promise<PostChatMessageResponseOK | T>;
    /**
     * Schedules a message to be sent to a channel.
     * Alternative usage: Chat.scheduleMessage
     * Documentation: https://api.slack.com/methods/chat.scheduleMessage
     * @param options Request options.
     */
    scheduleChatMessage<T = ScheduleChatMessageResponseOK>(options: ScheduleChatMessageRequest): Promise<ScheduleChatMessageResponseOK | T>;
    /**
     * Returns a list of scheduled messages.
     * Alternative usage: Chat.getScheduledMessages
     * Documentation: https://api.slack.com/methods/chat.scheduledMessages.list
     * @param options Request options.
     */
    getChatScheduledMessages<T = GetChatScheduledMessagesResponseOK>(options?: GetChatScheduledMessagesRequest): Promise<GetChatScheduledMessagesResponseOK | T>;
    /**
     * Provide custom unfurl behavior for user-posted URLs
     * Alternative usage: Chat.unfurlMessage
     * Documentation: https://api.slack.com/methods/chat.unfurl
     * @param options Request options.
     */
    unfurlChatMessage<T = UnfurlChatMessageResponseOK>(options: UnfurlChatMessageRequest): Promise<UnfurlChatMessageResponseOK | T>;
    /**
     * Updates a message.
     * Alternative usage: Chat.updateMessage
     * Documentation: https://api.slack.com/methods/chat.update
     * @param options Request options.
     */
    updateChatMessage<T = UpdateChatMessageResponseOK>(options: UpdateChatMessageRequest): Promise<UpdateChatMessageResponseOK | T>;
    /**
     * Archives a conversation.
     * Alternative usage: Conversation.archiveConversation
     * Documentation: https://api.slack.com/methods/conversations.archive
     * @param options Request options.
     */
    archiveConversation<T = ArchiveConversationResponseOK>(options: ArchiveConversationRequest): Promise<ArchiveConversationResponseOK | T>;
    /**
     * Closes a direct message or multi-person direct message.
     * Alternative usage: Conversation.closeConversation
     * Documentation: https://api.slack.com/methods/conversations.close
     * @param options Request options.
     */
    closeConversation<T = CloseConversationResponseOK>(options: CloseConversationRequest): Promise<CloseConversationResponseOK | T>;
    /**
     * Initiates a public or private channel-based conversation
     * Alternative usage: Conversation.createConversation
     * Documentation: https://api.slack.com/methods/conversations.create
     * @param options Request options.
     */
    createConversation<T = CreateConversationResponseOK>(options: CreateConversationRequest): Promise<CreateConversationResponseOK | T>;
    /**
     * Fetches a conversation's history of messages and events.
     * Alternative usage: Conversation.getHistory
     * Documentation: https://api.slack.com/methods/conversations.history
     * @param options Request options.
     */
    getConversationHistory<T = GetConversationHistoryResponseOK>(options?: GetConversationHistoryRequest): Promise<GetConversationHistoryResponseOK | T>;
    /**
     * Retrieve information about a conversation.
     * Alternative usage: Conversation.getInfo
     * Documentation: https://api.slack.com/methods/conversations.info
     * @param options Request options.
     */
    getConversationInfo<T = GetConversationInfoResponseOK>(options: GetConversationInfoRequest): Promise<GetConversationInfoResponseOK | T>;
    /**
     * Invites users to a channel.
     * Alternative usage: Conversation.inviteUser
     * Documentation: https://api.slack.com/methods/conversations.invite
     * @param options Request options.
     */
    inviteUserToConversation<T = InviteUserToConversationResponseOK>(options: InviteUserToConversationRequest): Promise<InviteUserToConversationResponseOK | T>;
    /**
     * Joins an existing conversation.
     * Alternative usage: Conversation.joinConversation
     * Documentation: https://api.slack.com/methods/conversations.join
     * @param options Request options.
     */
    joinConversation<T = JoinConversationResponseOK>(options: JoinConversationRequest): Promise<JoinConversationResponseOK | T>;
    /**
     * Removes a user from a conversation.
     * Alternative usage: Conversation.kickUser
     * Documentation: https://api.slack.com/methods/conversations.kick
     * @param options Request options.
     */
    kickUserFromConversation<T = KickUserFromConversationResponseOK>(options: KickUserFromConversationRequest): Promise<KickUserFromConversationResponseOK | T>;
    /**
     * Leaves a conversation.
     * Alternative usage: Conversation.leaveConversation
     * Documentation: https://api.slack.com/methods/conversations.leave
     * @param options Request options.
     */
    leaveConversation<T = LeaveConversationResponseOK>(options: LeaveConversationRequest): Promise<LeaveConversationResponseOK | T>;
    /**
     * Lists all channels in a Slack team.
     * Recommended usage: Conversation.getConversations
     * Documentation: https://api.slack.com/methods/conversations.list
     * @param options Request options.
     */
    getConversations<T = GetConversationsResponseOK>(options?: GetConversationsRequest): Promise<GetConversationsResponseOK | T>;
    /**
     * Retrieve members of a conversation.
     * Alternative usage: Conversation.getMembers
     * Documentation: https://api.slack.com/methods/conversations.members
     * @param options Request options.
     */
    getConversationMembers<T = GetConversationMembersResponseOK>(options: GetConversationMembersRequest): Promise<GetConversationMembersResponseOK | T>;
    /**
     * Opens or resumes a direct message or multi-person direct message.
     * Alternative usage: Conversation.openConversation
     * Documentation: https://api.slack.com/methods/conversations.open
     * @param options Request options.
     */
    openConversation<T = OpenConversationResponseOK>(options: OpenConversationRequest): Promise<OpenConversationResponseOK | T>;
    /**
     * Renames a conversation.
     * Alternative usage: Conversation.renameConversation
     * Documentation: https://api.slack.com/methods/conversations.rename
     * @param options Request options.
     */
    renameConversation<T = RenameConversationResponseOK>(options: RenameConversationRequest): Promise<RenameConversationResponseOK | T>;
    /**
     * Retrieve a thread of messages posted to a conversation
     * Alternative usage: Conversation.getReplies
     * Documentation: https://api.slack.com/methods/conversations.replies
     * @param options Request options.
     */
    getConversationReplies<T = GetConversationRepliesResponseOK>(options?: GetConversationRepliesRequest): Promise<GetConversationRepliesResponseOK | T>;
    /**
     * Sets the purpose for a conversation.
     * Alternative usage: Conversation.setPurpose
     * Documentation: https://api.slack.com/methods/conversations.setPurpose
     * @param options Request options.
     */
    setConversationPurpose<T = SetConversationPurposeResponseOK>(options: SetConversationPurposeRequest): Promise<SetConversationPurposeResponseOK | T>;
    /**
     * Sets the topic for a conversation.
     * Alternative usage: Conversation.setTopic
     * Documentation: https://api.slack.com/methods/conversations.setTopic
     * @param options Request options.
     */
    setConversationTopic<T = SetConversationTopicResponseOK>(options: SetConversationTopicRequest): Promise<SetConversationTopicResponseOK | T>;
    /**
     * Reverses conversation archival.
     * Alternative usage: Conversation.unarchiveConversation
     * Documentation: https://api.slack.com/methods/conversations.unarchive
     * @param options Request options.
     */
    unarchiveConversation<T = UnarchiveConversationResponseOK>(options: UnarchiveConversationRequest): Promise<UnarchiveConversationResponseOK | T>;
    /**
     * Open a dialog with a user
     * Alternative usage: Dialog.openDialog
     * Documentation: https://api.slack.com/methods/dialog.open
     * @param options Request options.
     */
    openDialog<T = OpenDialogResponseOK>(options: OpenDialogRequest): Promise<OpenDialogResponseOK | T>;
    /**
     * Ends the current user's Do Not Disturb session immediately.
     * Alternative usage: Dnd.endDnd
     * Documentation: https://api.slack.com/methods/dnd.endDnd
     * @param options Request options.
     */
    endDnd<T = EndDndResponseOK>(options?: EndDndRequest): Promise<EndDndResponseOK | T>;
    /**
     * Ends the current user's snooze mode immediately.
     * Alternative usage: Dnd.endSnooze
     * Documentation: https://api.slack.com/methods/dnd.endSnooze
     * @param options Request options.
     */
    endDndSnooze<T = EndDndSnoozeResponseOK>(options?: EndDndSnoozeRequest): Promise<EndDndSnoozeResponseOK | T>;
    /**
     * Retrieves a user's current Do Not Disturb status.
     * Alternative usage: Dnd.getInfo
     * Documentation: https://api.slack.com/methods/dnd.info
     * @param options Request options.
     */
    getDndInfo<T = GetDndInfoResponseOK>(options?: GetDndInfoRequest): Promise<GetDndInfoResponseOK | T>;
    /**
     * Turns on Do Not Disturb mode for the current user, or changes its duration.
     * Alternative usage: Dnd.setSnooze
     * Documentation: https://api.slack.com/methods/dnd.setSnooze
     * @param options Request options.
     */
    setDndSnooze<T = SetDndSnoozeResponseOK>(options: SetDndSnoozeRequest): Promise<SetDndSnoozeResponseOK | T>;
    /**
     * Retrieves the Do Not Disturb status for up to 50 users on a team.
     * Alternative usage: Dnd.getTeamInfo
     * Documentation: https://api.slack.com/methods/dnd.teamInfo
     * @param options Request options.
     */
    getDndTeamInfo<T = GetDndTeamInfoResponseOK>(options: GetDndTeamInfoRequest): Promise<GetDndTeamInfoResponseOK | T>;
    /**
     * Lists custom emoji for a team.
     * Alternative usage: Emoji.getEmojis
     * Documentation: https://api.slack.com/methods/emoji.list
     * @param options Request options.
     */
    getEmojis<T = GetEmojisResponseOK>(options?: GetEmojisRequest): Promise<GetEmojisResponseOK | T>;
    /**
     * Deletes a file.
     * Alternative usage: File.deleteFile
     * Documentation: https://api.slack.com/methods/files.delete
     * @param options Request options.
     */
    deleteFile<T = DeleteFileResponseOK>(options: DeleteFileRequest): Promise<DeleteFileResponseOK | T>;
    /**
     * Gets information about a file.
     * Alternative usage: File.getInfo
     * Documentation: https://api.slack.com/methods/files.info
     * @param options Request options.
     */
    getFileInfo<T = GetFileInfoResponseOK>(options?: GetFileInfoRequest): Promise<GetFileInfoResponseOK | T>;
    /**
     * List for a team, in a channel, or from a user with applied filters.
     * Alternative usage: File.getFiles
     * Documentation: https://api.slack.com/methods/files.list
     * @param options Request options.
     */
    getFiles<T = GetFilesResponseOK>(options?: GetFilesRequest): Promise<GetFilesResponseOK | T>;
    /**
     * Uploads or creates a file.
     * Recommended usage: File.uploadFile
     * Documentation: https://api.slack.com/methods/files.upload
     * @param options Request options.
     */
    uploadFile<T = UploadFileResponseOK>(options: UploadFileRequest): Promise<UploadFileResponseOK | T>;
    /**
     * Deletes an existing comment on a file.
     * Alternative usage: File.Comment.deleteComment
     * Documentation: https://api.slack.com/methods/files.comments.delete
     * @param options Request options.
     */
    deleteFileComment<T = DeleteFileCommentResponseOK>(options: DeleteFileCommentRequest): Promise<DeleteFileCommentResponseOK | T>;
    /**
     * Revokes public/external sharing access for a file
     * Alternative usage: File.PublicUrl.revokePublicUrl
     * Documentation: https://api.slack.com/methods/files.revokePublicURL
     * @param options Request options.
     */
    revokeFilePublicUrl<T = RevokeFilePublicUrlResponseOK>(options: RevokeFilePublicUrlRequest): Promise<RevokeFilePublicUrlResponseOK | T>;
    /**
     * Enables a file for public/external sharing.
     * Alternative usage: File.PublicUrl.createPublicUrl
     * Documentation: https://api.slack.com/methods/files.sharedPublicURL
     * @param options Request options.
     */
    createFilePublicUrl<T = CreateFilePublicUrlResponseOK>(options: CreateFilePublicUrlRequest): Promise<CreateFilePublicUrlResponseOK | T>;
    /**
     * Adds a file from a remote service
     * Alternative usage: File.Remote.addFile
     * Documentation: https://api.slack.com/methods/files.remote.add
     * @param options Request options.
     */
    addRemoteFile<T = AddRemoteFileResponseOK>(options: AddRemoteFileRequest): Promise<AddRemoteFileResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Alternative usage: File.Remote.getInfo
     * Documentation: https://api.slack.com/methods/files.remote.info
     * @param options Request options.
     */
    getRemoteFileInfo<T = GetRemoteFileInfoResponseOK>(options?: GetRemoteFileInfoRequest): Promise<GetRemoteFileInfoResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Alternative usage: File.Remote.getFiles
     * Documentation: https://api.slack.com/methods/files.remote.list
     * @param options Request options.
     */
    getRemoteFiles<T = GetRemoteFilesResponseOK>(options?: GetRemoteFilesRequest): Promise<GetRemoteFilesResponseOK | T>;
    /**
     * Remove a remote file.
     * Alternative usage: File.Remote.removeFile
     * Documentation: https://api.slack.com/methods/files.remote.remove
     * @param options Request options.
     */
    removeRemoteFile<T = RemoveRemoteFileResponseOK>(options?: RemoveRemoteFileRequest): Promise<RemoveRemoteFileResponseOK | T>;
    /**
     * Share a remote file into a channel.
     * Alternative usage: File.Remote.shareFile
     * Documentation: https://api.slack.com/methods/files.remote.share
     * @param options Request options.
     */
    shareRemoteFile<T = ShareRemoteFileResponseOK>(options?: ShareRemoteFileRequest): Promise<ShareRemoteFileResponseOK | T>;
    /**
     * Updates an existing remote file.
     * Alternative usage: File.Remote.updateFile
     * Documentation: https://api.slack.com/methods/files.remote.update
     * @param options Request options.
     */
    updateRemoteFile<T = UpdateRemoteFileResponseOK>(options?: UpdateRemoteFileRequest): Promise<UpdateRemoteFileResponseOK | T>;
    /**
     * Adds a reaction to an item.
     * Alternative usage: Reaction.addReaction
     * Documentation: https://api.slack.com/methods/reactions.add
     * @param options Request options.
     */
    addReaction<T = AddReactionResponseOK>(options: AddReactionRequest): Promise<AddReactionResponseOK | T>;
    /**
     * Gets reactions for an item.
     * Alternative usage: Reaction.getReaction
     * Documentation: https://api.slack.com/methods/reactions.get
     * @param options Request options.
     */
    getReaction<T = GetReactionResponseOK>(options?: GetReactionRequest): Promise<GetReactionResponseOK | T>;
    /**
     * Lists reactions made by a user.
     * Alternative usage: Reaction.getReactions
     * Documentation: https://api.slack.com/methods/reactions.list
     * @param options Request options.
     */
    getReactions<T = GetReactionsResponseOK>(options?: GetReactionsRequest): Promise<GetReactionsResponseOK | T>;
    /**
     * Removes a reaction from an item.
     * Alternative usage: Reaction.removeReaction
     * Documentation: https://api.slack.com/methods/reactions.remove
     * @param options Request options.
     */
    removeReaction<T = RemoveReactionResponseOK>(options: RemoveReactionRequest): Promise<RemoveReactionResponseOK | T>;
    /**
     * Searches for messages matching a query.
     * Alternative usage: Search.searchMessages
     * Documentation: https://api.slack.com/methods/search.messages
     * @param options Request options.
     */
    searchMessages<T = SearchMessagesResponseOK>(options: SearchMessagesRequest): Promise<SearchMessagesResponseOK | T>;
    /**
     * Gets the access logs for the current team.
     * Alternative usage: Team.getAccessLogs
     * Documentation: https://api.slack.com/methods/team.accessLogs
     * @param options Request options.
     */
    getTeamAccessLogs<T = GetTeamAccessLogsResponseOK>(options?: GetTeamAccessLogsRequest): Promise<GetTeamAccessLogsResponseOK | T>;
    /**
     * Gets billable users information for the current team.
     * Alternative usage: Team.getBillableInfo
     * Documentation: https://api.slack.com/methods/team.billableInfo
     * @param options Request options.
     */
    getTeamBillableInfo<T = GetTeamBillableInfoResponseOK>(options?: GetTeamBillableInfoRequest): Promise<GetTeamBillableInfoResponseOK | T>;
    /**
     * Gets information about the current team.
     * Alternative usage: Team.getInfo
     * Documentation: https://api.slack.com/methods/team.info
     * @param options Request options.
     */
    getTeamInfo<T = GetTeamInfoResponseOK>(options?: GetTeamInfoRequest): Promise<GetTeamInfoResponseOK | T>;
    /**
     * Gets the integration logs for the current team.
     * Alternative usage: Team.getIntegrationLogs
     * Documentation: https://api.slack.com/methods/team.integrationLogs
     * @param options Request options.
     */
    getTeamIntegrationLogs<T = GetTeamIntegrationLogsResponseOK>(options?: GetTeamIntegrationLogsRequest): Promise<GetTeamIntegrationLogsResponseOK | T>;
    /**
     * Retrieve a team's profile.
     * Alternative usage: Team.Profile.getProfile
     * Documentation: https://api.slack.com/methods/team.profile.get
     * @param options Request options.
     */
    getTeamProfile<T = GetTeamProfileResponseOK>(options?: GetTeamProfileRequest): Promise<GetTeamProfileResponseOK | T>;
    /**
     * Create a User Group
     * Alternative usage: UserGroup.createUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.create
     * @param options Request options.
     */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
     * Disable an existing User Group
     * Alternative usage: UserGroup.disableUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.disable
     * @param options Request options.
     */
    disableUserGroup<T = DisableUserGroupResponseOK>(options: DisableUserGroupRequest): Promise<DisableUserGroupResponseOK | T>;
    /**
     * Enable a User Group
     * Alternative usage: UserGroup.enableUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.enable
     * @param options Request options.
     */
    enableUserGroup<T = EnableUserGroupResponseOK>(options: EnableUserGroupRequest): Promise<EnableUserGroupResponseOK | T>;
    /**
     * List all User Groups for a team
     * Alternative usage: UserGroup.getUserGroups
     * Documentation: https://api.slack.com/methods/usergroups.list
     * @param options Request options.
     */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
     * Update an existing User Group
     * Alternative usage: UserGroup.updateUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.update
     * @param options Request options.
     */
    updateUserGroup<T = UpdateUserGroupResponseOK>(options: UpdateUserGroupRequest): Promise<UpdateUserGroupResponseOK | T>;
    /**
     * List all users in a User Group
     * Alternative usage: UserGroup.User.getUsers
     * Documentation: https://api.slack.com/methods/usergroups.users.list
     * @param options Request options.
     */
    getUsersInUserGroup<T = GetUsersInUserGroupResponseOK>(options: GetUsersInUserGroupRequest): Promise<GetUsersInUserGroupResponseOK | T>;
    /**
     * Update the list of users for a User Group
     * Alternative usage: UserGroup.User.updateUsers
     * Documentation: https://api.slack.com/methods/usergroups.users.update
     * @param options Request options.
     */
    updateUsersInUserGroup<T = UpdateUsersInUserGroupResponseOK>(options: UpdateUsersInUserGroupRequest): Promise<UpdateUsersInUserGroupResponseOK | T>;
    /**
     * Send message back to Slack using the response_url in the event payload.
     * Recommended usage: Reply.postMessage
     * Documentation: https://api.slack.com/interactivity/handling#message_responses
     * @param options Request options.
     */
    postReplyMessage<T = PostReplyMessageResponseOK>(options: PostReplyMessageRequest): Promise<PostReplyMessageResponseOK | T>;
}
declare class AllUserGroup {
    private Admin;
    private View;
    private User;
    private Reminders;
    private Pins;
    private Bot;
    private Chat;
    private Conversation;
    private Dialog;
    private Dnd;
    private Emoji;
    private File;
    private Reaction;
    private Search;
    private Team;
    private UserGroup;
    constructor(Admin: AdminGroup, View: ViewGroup, User: UserGroup, Reminders: RemindersGroup, Pins: PinsGroup, Bot: BotGroup, Chat: ChatGroup, Conversation: ConversationGroup, Dialog: DialogGroup, Dnd: DndGroup, Emoji: EmojiGroup, File: FileGroup, Reaction: ReactionGroup, Search: SearchGroup, Team: TeamGroup, UserGroup: UserGroupGroup);
    /**
     * Set an existing guest user, admin user, or owner to be a regular user.
     * Alternative usage: Admin.Users.setRegular
     * Documentation: https://api.slack.com/methods/admin.users.setRegular
     * @param options Request options.
     */
    adminSetRegularUser<T = AdminSetRegularUserResponseOK>(options: AdminSetRegularUserRequest): Promise<AdminSetRegularUserResponseOK | T>;
    /**
     * Set an existing guest, regular user, or admin user to be a workspace owner.
     * Alternative usage: Admin.Users.setOwner
     * Documentation: https://api.slack.com/methods/admin.users.setOwner
     * @param options Request options.
     */
    adminSetOwnerUser<T = AdminSetOwnerUserResponseOK>(options: AdminSetOwnerUserRequest): Promise<AdminSetOwnerUserResponseOK | T>;
    /**
     * Set an expiration for a guest user
     * Alternative usage: Admin.Users.setExpiration
     * Documentation: https://api.slack.com/methods/admin.users.setExpiration
     * @param options Request options.
     */
    adminSetUserExpiration<T = AdminSetUserExpirationResponseOK>(options: AdminSetUserExpirationRequest): Promise<AdminSetUserExpirationResponseOK | T>;
    /**
     * Set an existing guest, regular user, or owner to be an admin user.
     * Alternative usage: Admin.Users.setAdmin
     * Documentation: https://api.slack.com/methods/admin.users.setAdmin
     * @param options Request options.
     */
    adminSetAdminUser<T = AdminSetAdminUserResponseOK>(options: AdminSetAdminUserRequest): Promise<AdminSetAdminUserResponseOK | T>;
    /**
     * Remove a user from a workspace.
     * Alternative usage: Admin.Users.removeUser
     * Documentation: https://api.slack.com/methods/admin.users.remove
     * @param options Request options.
     */
    adminRemoveUser<T = AdminRemoveUserResponseOK>(options: AdminRemoveUserRequest): Promise<AdminRemoveUserResponseOK | T>;
    /**
     * List users on a workspace
     * Alternative usage: Admin.Users.getUsers
     * Documentation: https://api.slack.com/methods/admin.users.list
     * @param options Request options.
     */
    adminGetUsers<T = AdminGetUsersResponseOK>(options: AdminGetUsersRequest): Promise<AdminGetUsersResponseOK | T>;
    /**
     * Invite a user to a workspace.
     * Recommended usage: Admin.Users.inviteUser
     * Documentation: https://api.slack.com/methods/admin.users.invite
     * @param options Request options.
     */
    adminInviteUser<T = AdminInviteUserResponseOK>(options: AdminInviteUserRequest): Promise<AdminInviteUserResponseOK | T>;
    /**
     * Add an Enterprise user to a workspace.
     * Recommended usage: Admin.Users.assignUser
     * Documentation: https://api.slack.com/methods/admin.users.assign
     * @param options Request options.
     */
    adminAssignUser<T = AdminAssignUserResponseOK>(options: AdminAssignUserRequest): Promise<AdminAssignUserResponseOK | T>;
    /**
     * Update an existing view.
     * Alternative usage: View.updateView
     * Documentation: https://api.slack.com/methods/views.update
     * @param options Request options.
     */
    updateView<T = UpdateViewResponseOK>(options: UpdateViewRequest): Promise<UpdateViewResponseOK | T>;
    /**
     * Push a view onto the stack of a root view.
     * Alternative usage: View.pushView
     * Documentation: https://api.slack.com/methods/views.push
     * @param options Request options.
     */
    pushView<T = PushViewResponseOK>(options: PushViewRequest): Promise<PushViewResponseOK | T>;
    /**
     * Open a view for a user.
     * Alternative usage: View.openView
     * Documentation: https://api.slack.com/methods/views.open
     * @param options Request options.
     */
    openView<T = OpenViewResponseOK>(options: OpenViewRequest): Promise<OpenViewResponseOK | T>;
    /**
     * Find a user with an email address.
     * Alternative usage: User.getUserByEmail
     * Documentation: https://api.slack.com/methods/users.lookupByEmail
     * @param options Request options.
     */
    getUserByEmail<T = GetUserByEmailResponseOK>(options: GetUserByEmailRequest): Promise<GetUserByEmailResponseOK | T>;
    /**
     * Lists all users in a Slack team.
     * Alternative usage: User.getUsers
     * Documentation: https://api.slack.com/methods/users.list
     * @param options Request options.
     */
    getUsers<T = GetUsersResponseOK>(options?: GetUsersRequest): Promise<GetUsersResponseOK | T>;
    /**
     * Gets information about a user.
     * Alternative usage: User.getInfo
     * Documentation: https://api.slack.com/methods/users.info
     * @param options Request options.
     */
    getUserInfo<T = GetUserInfoResponseOK>(options: GetUserInfoRequest): Promise<GetUserInfoResponseOK | T>;
    /**
     * Get a user's identity.
     * Alternative usage: User.getIdentity
     * Documentation: https://api.slack.com/methods/users.identity
     * @param options Request options.
     */
    getUserIdentity<T = GetUserIdentityResponseOK>(options?: GetUserIdentityRequest): Promise<GetUserIdentityResponseOK | T>;
    /**
     * List conversations the calling user may access.
     * Alternative usage: User.getConversations
     * Documentation: https://api.slack.com/methods/users.conversations
     * @param options Request options.
     */
    getUserConversations<T = GetUserConversationsResponseOK>(options?: GetUserConversationsRequest): Promise<GetUserConversationsResponseOK | T>;
    /**
     * Gets user presence information.
     * Alternative usage: User.getPresence
     * Documentation: https://api.slack.com/methods/users.getPresence
     * @param options Request options.
     */
    getUserPresence<T = GetUserPresenceResponseOK>(options?: GetUserPresenceRequest): Promise<GetUserPresenceResponseOK | T>;
    /**
     * Manually sets user presence.
     * Alternative usage: User.setPresence
     * Documentation: https://api.slack.com/methods/users.setPresence
     * @param options Request options.
     */
    setUserPresence<T = SetUserPresenceResponseOK>(options: SetUserPresenceRequest): Promise<SetUserPresenceResponseOK | T>;
    /**
     * Set the profile information for a user.
     * Alternative usage: User.Profile.setProfile
     * Documentation: https://api.slack.com/methods/users.profile.set
     * @param options Request options.
     */
    setUserProfile<T = SetUserProfileResponseOK>(options: SetUserProfileRequest): Promise<SetUserProfileResponseOK | T>;
    /**
     * Retrieves a user's profile information.
     * Alternative usage: User.Profile.getProfile
     * Documentation: https://api.slack.com/methods/users.profile.get
     * @param options Request options.
     */
    getUserProfile<T = GetUserProfileResponseOK>(options?: GetUserProfileRequest): Promise<GetUserProfileResponseOK | T>;
    /**
     * Lists all reminders created by or for a given user.
     * Alternative usage: Reminders.getReminders
     * Documentation: https://api.slack.com/methods/reminders.list
     * @param options Request options.
     */
    getReminders<T = GetRemindersResponseOK>(options?: GetRemindersRequest): Promise<GetRemindersResponseOK | T>;
    /**
     * Gets information about a reminder.
     * Alternative usage: Reminders.getInfo
     * Documentation: https://api.slack.com/methods/reminders.info
     * @param options Request options.
     */
    getReminderInfo<T = GetReminderInfoResponseOK>(options: GetReminderInfoRequest): Promise<GetReminderInfoResponseOK | T>;
    /**
     * Deletes a reminder.
     * Alternative usage: Reminders.deleteReminder
     * Documentation: https://api.slack.com/methods/reminders.delete
     * @param options Request options.
     */
    deleteReminder<T = DeleteReminderResponseOK>(options: DeleteReminderRequest): Promise<DeleteReminderResponseOK | T>;
    /**
     * Marks a reminder as complete.
     * Alternative usage: Reminders.completeReminder
     * Documentation: https://api.slack.com/methods/reminders.complete
     * @param options Request options.
     */
    completeReminder<T = CompleteReminderResponseOK>(options: CompleteReminderRequest): Promise<CompleteReminderResponseOK | T>;
    /**
     * Creates a reminder.
     * Alternative usage: Reminders.addReminder
     * Documentation: https://api.slack.com/methods/reminders.add
     * @param options Request options.
     */
    addReminder<T = AddReminderResponseOK>(options: AddReminderRequest): Promise<AddReminderResponseOK | T>;
    /**
     * Un-pins an item from a channel.
     * Alternative usage: Pins.removePin
     * Documentation: https://api.slack.com/methods/pins.remove
     * @param options Request options.
     */
    removePin<T = RemovePinResponseOK>(options: RemovePinRequest): Promise<RemovePinResponseOK | T>;
    /**
     * Lists items pinned to a channel.
     * Alternative usage: Pins.getPins
     * Documentation: https://api.slack.com/methods/pins.list
     * @param options Request options.
     */
    getPins<T = GetPinsResponseOK>(options: GetPinsRequest): Promise<GetPinsResponseOK | T>;
    /**
     * Pins an item to a channel.
     * Alternative usage: Pins.addPin
     * Documentation: https://api.slack.com/methods/pins.add
     * @param options Request options.
     */
    addPin<T = AddPinResponseOK>(options: AddPinRequest): Promise<AddPinResponseOK | T>;
    /**
     * Gets information about a bot user.
     * Alternative usage: Bot.getInfo
     * Documentation: https://api.slack.com/methods/bots.info
     * @param options Request options.
     */
    getBotInfo<T = GetBotInfoResponseOK>(options?: GetBotInfoRequest): Promise<GetBotInfoResponseOK | T>;
    /**
     * Deletes a message.
     * Alternative usage: Chat.deleteMessage
     * Documentation: https://api.slack.com/methods/chat.delete
     * @param options Request options.
     */
    deleteChatMessage<T = DeleteChatMessageResponseOK>(options: DeleteChatMessageRequest): Promise<DeleteChatMessageResponseOK | T>;
    /**
     * Deletes a pending scheduled message from the queue.
     * Alternative usage: Chat.deleteScheduledMessage
     * Documentation: https://api.slack.com/methods/chat.deleteScheduledMessage
     * @param options Request options.
     */
    deleteChatScheduledMessage<T = DeleteChatScheduledMessageResponseOK>(options: DeleteChatScheduledMessageRequest): Promise<DeleteChatScheduledMessageResponseOK | T>;
    /**
     * Retrieve a permalink URL for a specific extant message
     * Alternative usage: Chat.getPermalink
     * Documentation: https://api.slack.com/methods/chat.getPermalink
     * @param options Request options.
     */
    getChatPermalink<T = GetChatPermalinkResponseOK>(options: GetChatPermalinkRequest): Promise<GetChatPermalinkResponseOK | T>;
    /**
     * Share a me message into a channel.
     * Alternative usage: Chat.postMeMessage
     * Documentation: https://api.slack.com/methods/chat.meMessage
     * @param options Request options.
     */
    postChatMeMessage<T = PostChatMeMessageResponseOK>(options: PostChatMeMessageRequest): Promise<PostChatMeMessageResponseOK | T>;
    /**
     * Sends an ephemeral message to a user in a channel.
     * Alternative usage: Chat.postEphemeralMessage
     * Documentation: https://api.slack.com/methods/chat.postEphemeral
     * @param options Request options.
     */
    postChatEphemeralMessage<T = PostChatEphemeralMessageResponseOK>(options: PostChatEphemeralMessageRequest): Promise<PostChatEphemeralMessageResponseOK | T>;
    /**
     * Sends a message to a channel.
     * Alternative usage: Chat.postMessage
     * Documentation: https://api.slack.com/methods/chat.postMessage
     * @param options Request options.
     */
    postChatMessage<T = PostChatMessageResponseOK>(options: PostChatMessageRequest): Promise<PostChatMessageResponseOK | T>;
    /**
     * Schedules a message to be sent to a channel.
     * Alternative usage: Chat.scheduleMessage
     * Documentation: https://api.slack.com/methods/chat.scheduleMessage
     * @param options Request options.
     */
    scheduleChatMessage<T = ScheduleChatMessageResponseOK>(options: ScheduleChatMessageRequest): Promise<ScheduleChatMessageResponseOK | T>;
    /**
     * Returns a list of scheduled messages.
     * Alternative usage: Chat.getScheduledMessages
     * Documentation: https://api.slack.com/methods/chat.scheduledMessages.list
     * @param options Request options.
     */
    getChatScheduledMessages<T = GetChatScheduledMessagesResponseOK>(options?: GetChatScheduledMessagesRequest): Promise<GetChatScheduledMessagesResponseOK | T>;
    /**
     * Provide custom unfurl behavior for user-posted URLs
     * Alternative usage: Chat.unfurlMessage
     * Documentation: https://api.slack.com/methods/chat.unfurl
     * @param options Request options.
     */
    unfurlChatMessage<T = UnfurlChatMessageResponseOK>(options: UnfurlChatMessageRequest): Promise<UnfurlChatMessageResponseOK | T>;
    /**
     * Updates a message.
     * Alternative usage: Chat.updateMessage
     * Documentation: https://api.slack.com/methods/chat.update
     * @param options Request options.
     */
    updateChatMessage<T = UpdateChatMessageResponseOK>(options: UpdateChatMessageRequest): Promise<UpdateChatMessageResponseOK | T>;
    /**
     * Archives a conversation.
     * Alternative usage: Conversation.archiveConversation
     * Documentation: https://api.slack.com/methods/conversations.archive
     * @param options Request options.
     */
    archiveConversation<T = ArchiveConversationResponseOK>(options: ArchiveConversationRequest): Promise<ArchiveConversationResponseOK | T>;
    /**
     * Closes a direct message or multi-person direct message.
     * Alternative usage: Conversation.closeConversation
     * Documentation: https://api.slack.com/methods/conversations.close
     * @param options Request options.
     */
    closeConversation<T = CloseConversationResponseOK>(options: CloseConversationRequest): Promise<CloseConversationResponseOK | T>;
    /**
     * Initiates a public or private channel-based conversation
     * Alternative usage: Conversation.createConversation
     * Documentation: https://api.slack.com/methods/conversations.create
     * @param options Request options.
     */
    createConversation<T = CreateConversationResponseOK>(options: CreateConversationRequest): Promise<CreateConversationResponseOK | T>;
    /**
     * Fetches a conversation's history of messages and events.
     * Alternative usage: Conversation.getHistory
     * Documentation: https://api.slack.com/methods/conversations.history
     * @param options Request options.
     */
    getConversationHistory<T = GetConversationHistoryResponseOK>(options?: GetConversationHistoryRequest): Promise<GetConversationHistoryResponseOK | T>;
    /**
     * Retrieve information about a conversation.
     * Alternative usage: Conversation.getInfo
     * Documentation: https://api.slack.com/methods/conversations.info
     * @param options Request options.
     */
    getConversationInfo<T = GetConversationInfoResponseOK>(options: GetConversationInfoRequest): Promise<GetConversationInfoResponseOK | T>;
    /**
     * Invites users to a channel.
     * Alternative usage: Conversation.inviteUser
     * Documentation: https://api.slack.com/methods/conversations.invite
     * @param options Request options.
     */
    inviteUserToConversation<T = InviteUserToConversationResponseOK>(options: InviteUserToConversationRequest): Promise<InviteUserToConversationResponseOK | T>;
    /**
     * Joins an existing conversation.
     * Alternative usage: Conversation.joinConversation
     * Documentation: https://api.slack.com/methods/conversations.join
     * @param options Request options.
     */
    joinConversation<T = JoinConversationResponseOK>(options: JoinConversationRequest): Promise<JoinConversationResponseOK | T>;
    /**
     * Removes a user from a conversation.
     * Alternative usage: Conversation.kickUser
     * Documentation: https://api.slack.com/methods/conversations.kick
     * @param options Request options.
     */
    kickUserFromConversation<T = KickUserFromConversationResponseOK>(options: KickUserFromConversationRequest): Promise<KickUserFromConversationResponseOK | T>;
    /**
     * Leaves a conversation.
     * Alternative usage: Conversation.leaveConversation
     * Documentation: https://api.slack.com/methods/conversations.leave
     * @param options Request options.
     */
    leaveConversation<T = LeaveConversationResponseOK>(options: LeaveConversationRequest): Promise<LeaveConversationResponseOK | T>;
    /**
     * Lists all channels in a Slack team.
     * Recommended usage: Conversation.getConversations
     * Documentation: https://api.slack.com/methods/conversations.list
     * @param options Request options.
     */
    getConversations<T = GetConversationsResponseOK>(options?: GetConversationsRequest): Promise<GetConversationsResponseOK | T>;
    /**
     * Retrieve members of a conversation.
     * Alternative usage: Conversation.getMembers
     * Documentation: https://api.slack.com/methods/conversations.members
     * @param options Request options.
     */
    getConversationMembers<T = GetConversationMembersResponseOK>(options: GetConversationMembersRequest): Promise<GetConversationMembersResponseOK | T>;
    /**
     * Opens or resumes a direct message or multi-person direct message.
     * Alternative usage: Conversation.openConversation
     * Documentation: https://api.slack.com/methods/conversations.open
     * @param options Request options.
     */
    openConversation<T = OpenConversationResponseOK>(options: OpenConversationRequest): Promise<OpenConversationResponseOK | T>;
    /**
     * Renames a conversation.
     * Alternative usage: Conversation.renameConversation
     * Documentation: https://api.slack.com/methods/conversations.rename
     * @param options Request options.
     */
    renameConversation<T = RenameConversationResponseOK>(options: RenameConversationRequest): Promise<RenameConversationResponseOK | T>;
    /**
     * Retrieve a thread of messages posted to a conversation
     * Alternative usage: Conversation.getReplies
     * Documentation: https://api.slack.com/methods/conversations.replies
     * @param options Request options.
     */
    getConversationReplies<T = GetConversationRepliesResponseOK>(options?: GetConversationRepliesRequest): Promise<GetConversationRepliesResponseOK | T>;
    /**
     * Sets the purpose for a conversation.
     * Alternative usage: Conversation.setPurpose
     * Documentation: https://api.slack.com/methods/conversations.setPurpose
     * @param options Request options.
     */
    setConversationPurpose<T = SetConversationPurposeResponseOK>(options: SetConversationPurposeRequest): Promise<SetConversationPurposeResponseOK | T>;
    /**
     * Sets the topic for a conversation.
     * Alternative usage: Conversation.setTopic
     * Documentation: https://api.slack.com/methods/conversations.setTopic
     * @param options Request options.
     */
    setConversationTopic<T = SetConversationTopicResponseOK>(options: SetConversationTopicRequest): Promise<SetConversationTopicResponseOK | T>;
    /**
     * Reverses conversation archival.
     * Alternative usage: Conversation.unarchiveConversation
     * Documentation: https://api.slack.com/methods/conversations.unarchive
     * @param options Request options.
     */
    unarchiveConversation<T = UnarchiveConversationResponseOK>(options: UnarchiveConversationRequest): Promise<UnarchiveConversationResponseOK | T>;
    /**
     * Open a dialog with a user
     * Alternative usage: Dialog.openDialog
     * Documentation: https://api.slack.com/methods/dialog.open
     * @param options Request options.
     */
    openDialog<T = OpenDialogResponseOK>(options: OpenDialogRequest): Promise<OpenDialogResponseOK | T>;
    /**
     * Ends the current user's Do Not Disturb session immediately.
     * Alternative usage: Dnd.endDnd
     * Documentation: https://api.slack.com/methods/dnd.endDnd
     * @param options Request options.
     */
    endDnd<T = EndDndResponseOK>(options?: EndDndRequest): Promise<EndDndResponseOK | T>;
    /**
     * Ends the current user's snooze mode immediately.
     * Alternative usage: Dnd.endSnooze
     * Documentation: https://api.slack.com/methods/dnd.endSnooze
     * @param options Request options.
     */
    endDndSnooze<T = EndDndSnoozeResponseOK>(options?: EndDndSnoozeRequest): Promise<EndDndSnoozeResponseOK | T>;
    /**
     * Retrieves a user's current Do Not Disturb status.
     * Alternative usage: Dnd.getInfo
     * Documentation: https://api.slack.com/methods/dnd.info
     * @param options Request options.
     */
    getDndInfo<T = GetDndInfoResponseOK>(options?: GetDndInfoRequest): Promise<GetDndInfoResponseOK | T>;
    /**
     * Turns on Do Not Disturb mode for the current user, or changes its duration.
     * Alternative usage: Dnd.setSnooze
     * Documentation: https://api.slack.com/methods/dnd.setSnooze
     * @param options Request options.
     */
    setDndSnooze<T = SetDndSnoozeResponseOK>(options: SetDndSnoozeRequest): Promise<SetDndSnoozeResponseOK | T>;
    /**
     * Retrieves the Do Not Disturb status for up to 50 users on a team.
     * Alternative usage: Dnd.getTeamInfo
     * Documentation: https://api.slack.com/methods/dnd.teamInfo
     * @param options Request options.
     */
    getDndTeamInfo<T = GetDndTeamInfoResponseOK>(options: GetDndTeamInfoRequest): Promise<GetDndTeamInfoResponseOK | T>;
    /**
     * Lists custom emoji for a team.
     * Alternative usage: Emoji.getEmojis
     * Documentation: https://api.slack.com/methods/emoji.list
     * @param options Request options.
     */
    getEmojis<T = GetEmojisResponseOK>(options?: GetEmojisRequest): Promise<GetEmojisResponseOK | T>;
    /**
     * Deletes a file.
     * Alternative usage: File.deleteFile
     * Documentation: https://api.slack.com/methods/files.delete
     * @param options Request options.
     */
    deleteFile<T = DeleteFileResponseOK>(options: DeleteFileRequest): Promise<DeleteFileResponseOK | T>;
    /**
     * Gets information about a file.
     * Alternative usage: File.getInfo
     * Documentation: https://api.slack.com/methods/files.info
     * @param options Request options.
     */
    getFileInfo<T = GetFileInfoResponseOK>(options?: GetFileInfoRequest): Promise<GetFileInfoResponseOK | T>;
    /**
     * List for a team, in a channel, or from a user with applied filters.
     * Alternative usage: File.getFiles
     * Documentation: https://api.slack.com/methods/files.list
     * @param options Request options.
     */
    getFiles<T = GetFilesResponseOK>(options?: GetFilesRequest): Promise<GetFilesResponseOK | T>;
    /**
     * Uploads or creates a file.
     * Recommended usage: File.uploadFile
     * Documentation: https://api.slack.com/methods/files.upload
     * @param options Request options.
     */
    uploadFile<T = UploadFileResponseOK>(options: UploadFileRequest): Promise<UploadFileResponseOK | T>;
    /**
     * Deletes an existing comment on a file.
     * Alternative usage: File.Comment.deleteComment
     * Documentation: https://api.slack.com/methods/files.comments.delete
     * @param options Request options.
     */
    deleteFileComment<T = DeleteFileCommentResponseOK>(options: DeleteFileCommentRequest): Promise<DeleteFileCommentResponseOK | T>;
    /**
     * Revokes public/external sharing access for a file
     * Alternative usage: File.PublicUrl.revokePublicUrl
     * Documentation: https://api.slack.com/methods/files.revokePublicURL
     * @param options Request options.
     */
    revokeFilePublicUrl<T = RevokeFilePublicUrlResponseOK>(options: RevokeFilePublicUrlRequest): Promise<RevokeFilePublicUrlResponseOK | T>;
    /**
     * Enables a file for public/external sharing.
     * Alternative usage: File.PublicUrl.createPublicUrl
     * Documentation: https://api.slack.com/methods/files.sharedPublicURL
     * @param options Request options.
     */
    createFilePublicUrl<T = CreateFilePublicUrlResponseOK>(options: CreateFilePublicUrlRequest): Promise<CreateFilePublicUrlResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Alternative usage: File.Remote.getInfo
     * Documentation: https://api.slack.com/methods/files.remote.info
     * @param options Request options.
     */
    getRemoteFileInfo<T = GetRemoteFileInfoResponseOK>(options?: GetRemoteFileInfoRequest): Promise<GetRemoteFileInfoResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Alternative usage: File.Remote.getFiles
     * Documentation: https://api.slack.com/methods/files.remote.list
     * @param options Request options.
     */
    getRemoteFiles<T = GetRemoteFilesResponseOK>(options?: GetRemoteFilesRequest): Promise<GetRemoteFilesResponseOK | T>;
    /**
     * Share a remote file into a channel.
     * Alternative usage: File.Remote.shareFile
     * Documentation: https://api.slack.com/methods/files.remote.share
     * @param options Request options.
     */
    shareRemoteFile<T = ShareRemoteFileResponseOK>(options?: ShareRemoteFileRequest): Promise<ShareRemoteFileResponseOK | T>;
    /**
     * Adds a reaction to an item.
     * Alternative usage: Reaction.addReaction
     * Documentation: https://api.slack.com/methods/reactions.add
     * @param options Request options.
     */
    addReaction<T = AddReactionResponseOK>(options: AddReactionRequest): Promise<AddReactionResponseOK | T>;
    /**
     * Gets reactions for an item.
     * Alternative usage: Reaction.getReaction
     * Documentation: https://api.slack.com/methods/reactions.get
     * @param options Request options.
     */
    getReaction<T = GetReactionResponseOK>(options?: GetReactionRequest): Promise<GetReactionResponseOK | T>;
    /**
     * Lists reactions made by a user.
     * Alternative usage: Reaction.getReactions
     * Documentation: https://api.slack.com/methods/reactions.list
     * @param options Request options.
     */
    getReactions<T = GetReactionsResponseOK>(options?: GetReactionsRequest): Promise<GetReactionsResponseOK | T>;
    /**
     * Removes a reaction from an item.
     * Alternative usage: Reaction.removeReaction
     * Documentation: https://api.slack.com/methods/reactions.remove
     * @param options Request options.
     */
    removeReaction<T = RemoveReactionResponseOK>(options: RemoveReactionRequest): Promise<RemoveReactionResponseOK | T>;
    /**
     * Searches for messages matching a query.
     * Alternative usage: Search.searchMessages
     * Documentation: https://api.slack.com/methods/search.messages
     * @param options Request options.
     */
    searchMessages<T = SearchMessagesResponseOK>(options: SearchMessagesRequest): Promise<SearchMessagesResponseOK | T>;
    /**
     * Gets the access logs for the current team.
     * Alternative usage: Team.getAccessLogs
     * Documentation: https://api.slack.com/methods/team.accessLogs
     * @param options Request options.
     */
    getTeamAccessLogs<T = GetTeamAccessLogsResponseOK>(options?: GetTeamAccessLogsRequest): Promise<GetTeamAccessLogsResponseOK | T>;
    /**
     * Gets billable users information for the current team.
     * Alternative usage: Team.getBillableInfo
     * Documentation: https://api.slack.com/methods/team.billableInfo
     * @param options Request options.
     */
    getTeamBillableInfo<T = GetTeamBillableInfoResponseOK>(options?: GetTeamBillableInfoRequest): Promise<GetTeamBillableInfoResponseOK | T>;
    /**
     * Gets information about the current team.
     * Alternative usage: Team.getInfo
     * Documentation: https://api.slack.com/methods/team.info
     * @param options Request options.
     */
    getTeamInfo<T = GetTeamInfoResponseOK>(options?: GetTeamInfoRequest): Promise<GetTeamInfoResponseOK | T>;
    /**
     * Gets the integration logs for the current team.
     * Alternative usage: Team.getIntegrationLogs
     * Documentation: https://api.slack.com/methods/team.integrationLogs
     * @param options Request options.
     */
    getTeamIntegrationLogs<T = GetTeamIntegrationLogsResponseOK>(options?: GetTeamIntegrationLogsRequest): Promise<GetTeamIntegrationLogsResponseOK | T>;
    /**
     * Retrieve a team's profile.
     * Alternative usage: Team.Profile.getProfile
     * Documentation: https://api.slack.com/methods/team.profile.get
     * @param options Request options.
     */
    getTeamProfile<T = GetTeamProfileResponseOK>(options?: GetTeamProfileRequest): Promise<GetTeamProfileResponseOK | T>;
    /**
     * Create a User Group
     * Alternative usage: UserGroup.createUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.create
     * @param options Request options.
     */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
     * Disable an existing User Group
     * Alternative usage: UserGroup.disableUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.disable
     * @param options Request options.
     */
    disableUserGroup<T = DisableUserGroupResponseOK>(options: DisableUserGroupRequest): Promise<DisableUserGroupResponseOK | T>;
    /**
     * Enable a User Group
     * Alternative usage: UserGroup.enableUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.enable
     * @param options Request options.
     */
    enableUserGroup<T = EnableUserGroupResponseOK>(options: EnableUserGroupRequest): Promise<EnableUserGroupResponseOK | T>;
    /**
     * List all User Groups for a team
     * Alternative usage: UserGroup.getUserGroups
     * Documentation: https://api.slack.com/methods/usergroups.list
     * @param options Request options.
     */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
     * Update an existing User Group
     * Alternative usage: UserGroup.updateUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.update
     * @param options Request options.
     */
    updateUserGroup<T = UpdateUserGroupResponseOK>(options: UpdateUserGroupRequest): Promise<UpdateUserGroupResponseOK | T>;
    /**
     * List all users in a User Group
     * Alternative usage: UserGroup.User.getUsers
     * Documentation: https://api.slack.com/methods/usergroups.users.list
     * @param options Request options.
     */
    getUsersInUserGroup<T = GetUsersInUserGroupResponseOK>(options: GetUsersInUserGroupRequest): Promise<GetUsersInUserGroupResponseOK | T>;
    /**
     * Update the list of users for a User Group
     * Alternative usage: UserGroup.User.updateUsers
     * Documentation: https://api.slack.com/methods/usergroups.users.update
     * @param options Request options.
     */
    updateUsersInUserGroup<T = UpdateUsersInUserGroupResponseOK>(options: UpdateUsersInUserGroupRequest): Promise<UpdateUsersInUserGroupResponseOK | T>;
}
declare class AllBotGroup {
    private View;
    private User;
    private Pins;
    private Bot;
    private Chat;
    private Conversation;
    private Dialog;
    private Dnd;
    private Emoji;
    private File;
    private Reaction;
    private Team;
    private UserGroup;
    constructor(View: ViewGroup, User: UserGroup, Pins: PinsGroup, Bot: BotGroup, Chat: ChatGroup, Conversation: ConversationGroup, Dialog: DialogGroup, Dnd: DndGroup, Emoji: EmojiGroup, File: FileGroup, Reaction: ReactionGroup, Team: TeamGroup, UserGroup: UserGroupGroup);
    /**
     * Update an existing view.
     * Alternative usage: View.updateView
     * Documentation: https://api.slack.com/methods/views.update
     * @param options Request options.
     */
    updateView<T = UpdateViewResponseOK>(options: UpdateViewRequest): Promise<UpdateViewResponseOK | T>;
    /**
     * Push a view onto the stack of a root view.
     * Alternative usage: View.pushView
     * Documentation: https://api.slack.com/methods/views.push
     * @param options Request options.
     */
    pushView<T = PushViewResponseOK>(options: PushViewRequest): Promise<PushViewResponseOK | T>;
    /**
     * Publish a static view for a User.
     * Alternative usage: View.publishView
     * Documentation: https://api.slack.com/methods/views.publish
     * @param options Request options.
     */
    publishView<T = PublishViewResponseOK>(options: PublishViewRequest): Promise<PublishViewResponseOK | T>;
    /**
     * Open a view for a user.
     * Alternative usage: View.openView
     * Documentation: https://api.slack.com/methods/views.open
     * @param options Request options.
     */
    openView<T = OpenViewResponseOK>(options: OpenViewRequest): Promise<OpenViewResponseOK | T>;
    /**
     * Find a user with an email address.
     * Alternative usage: User.getUserByEmail
     * Documentation: https://api.slack.com/methods/users.lookupByEmail
     * @param options Request options.
     */
    getUserByEmail<T = GetUserByEmailResponseOK>(options: GetUserByEmailRequest): Promise<GetUserByEmailResponseOK | T>;
    /**
     * Lists all users in a Slack team.
     * Alternative usage: User.getUsers
     * Documentation: https://api.slack.com/methods/users.list
     * @param options Request options.
     */
    getUsers<T = GetUsersResponseOK>(options?: GetUsersRequest): Promise<GetUsersResponseOK | T>;
    /**
     * Gets information about a user.
     * Alternative usage: User.getInfo
     * Documentation: https://api.slack.com/methods/users.info
     * @param options Request options.
     */
    getUserInfo<T = GetUserInfoResponseOK>(options: GetUserInfoRequest): Promise<GetUserInfoResponseOK | T>;
    /**
     * List conversations the calling user may access.
     * Alternative usage: User.getConversations
     * Documentation: https://api.slack.com/methods/users.conversations
     * @param options Request options.
     */
    getUserConversations<T = GetUserConversationsResponseOK>(options?: GetUserConversationsRequest): Promise<GetUserConversationsResponseOK | T>;
    /**
     * Gets user presence information.
     * Alternative usage: User.getPresence
     * Documentation: https://api.slack.com/methods/users.getPresence
     * @param options Request options.
     */
    getUserPresence<T = GetUserPresenceResponseOK>(options?: GetUserPresenceRequest): Promise<GetUserPresenceResponseOK | T>;
    /**
     * Manually sets user presence.
     * Alternative usage: User.setPresence
     * Documentation: https://api.slack.com/methods/users.setPresence
     * @param options Request options.
     */
    setUserPresence<T = SetUserPresenceResponseOK>(options: SetUserPresenceRequest): Promise<SetUserPresenceResponseOK | T>;
    /**
     * Retrieves a user's profile information.
     * Alternative usage: User.Profile.getProfile
     * Documentation: https://api.slack.com/methods/users.profile.get
     * @param options Request options.
     */
    getUserProfile<T = GetUserProfileResponseOK>(options?: GetUserProfileRequest): Promise<GetUserProfileResponseOK | T>;
    /**
     * Un-pins an item from a channel.
     * Alternative usage: Pins.removePin
     * Documentation: https://api.slack.com/methods/pins.remove
     * @param options Request options.
     */
    removePin<T = RemovePinResponseOK>(options: RemovePinRequest): Promise<RemovePinResponseOK | T>;
    /**
     * Lists items pinned to a channel.
     * Alternative usage: Pins.getPins
     * Documentation: https://api.slack.com/methods/pins.list
     * @param options Request options.
     */
    getPins<T = GetPinsResponseOK>(options: GetPinsRequest): Promise<GetPinsResponseOK | T>;
    /**
     * Pins an item to a channel.
     * Alternative usage: Pins.addPin
     * Documentation: https://api.slack.com/methods/pins.add
     * @param options Request options.
     */
    addPin<T = AddPinResponseOK>(options: AddPinRequest): Promise<AddPinResponseOK | T>;
    /**
     * Gets information about a bot user.
     * Alternative usage: Bot.getInfo
     * Documentation: https://api.slack.com/methods/bots.info
     * @param options Request options.
     */
    getBotInfo<T = GetBotInfoResponseOK>(options?: GetBotInfoRequest): Promise<GetBotInfoResponseOK | T>;
    /**
     * Deletes a message.
     * Alternative usage: Chat.deleteMessage
     * Documentation: https://api.slack.com/methods/chat.delete
     * @param options Request options.
     */
    deleteChatMessage<T = DeleteChatMessageResponseOK>(options: DeleteChatMessageRequest): Promise<DeleteChatMessageResponseOK | T>;
    /**
     * Deletes a pending scheduled message from the queue.
     * Alternative usage: Chat.deleteScheduledMessage
     * Documentation: https://api.slack.com/methods/chat.deleteScheduledMessage
     * @param options Request options.
     */
    deleteChatScheduledMessage<T = DeleteChatScheduledMessageResponseOK>(options: DeleteChatScheduledMessageRequest): Promise<DeleteChatScheduledMessageResponseOK | T>;
    /**
     * Retrieve a permalink URL for a specific extant message
     * Alternative usage: Chat.getPermalink
     * Documentation: https://api.slack.com/methods/chat.getPermalink
     * @param options Request options.
     */
    getChatPermalink<T = GetChatPermalinkResponseOK>(options: GetChatPermalinkRequest): Promise<GetChatPermalinkResponseOK | T>;
    /**
     * Share a me message into a channel.
     * Alternative usage: Chat.postMeMessage
     * Documentation: https://api.slack.com/methods/chat.meMessage
     * @param options Request options.
     */
    postChatMeMessage<T = PostChatMeMessageResponseOK>(options: PostChatMeMessageRequest): Promise<PostChatMeMessageResponseOK | T>;
    /**
     * Sends an ephemeral message to a user in a channel.
     * Alternative usage: Chat.postEphemeralMessage
     * Documentation: https://api.slack.com/methods/chat.postEphemeral
     * @param options Request options.
     */
    postChatEphemeralMessage<T = PostChatEphemeralMessageResponseOK>(options: PostChatEphemeralMessageRequest): Promise<PostChatEphemeralMessageResponseOK | T>;
    /**
     * Sends a message to a channel.
     * Alternative usage: Chat.postMessage
     * Documentation: https://api.slack.com/methods/chat.postMessage
     * @param options Request options.
     */
    postChatMessage<T = PostChatMessageResponseOK>(options: PostChatMessageRequest): Promise<PostChatMessageResponseOK | T>;
    /**
     * Schedules a message to be sent to a channel.
     * Alternative usage: Chat.scheduleMessage
     * Documentation: https://api.slack.com/methods/chat.scheduleMessage
     * @param options Request options.
     */
    scheduleChatMessage<T = ScheduleChatMessageResponseOK>(options: ScheduleChatMessageRequest): Promise<ScheduleChatMessageResponseOK | T>;
    /**
     * Returns a list of scheduled messages.
     * Alternative usage: Chat.getScheduledMessages
     * Documentation: https://api.slack.com/methods/chat.scheduledMessages.list
     * @param options Request options.
     */
    getChatScheduledMessages<T = GetChatScheduledMessagesResponseOK>(options?: GetChatScheduledMessagesRequest): Promise<GetChatScheduledMessagesResponseOK | T>;
    /**
     * Provide custom unfurl behavior for user-posted URLs
     * Alternative usage: Chat.unfurlMessage
     * Documentation: https://api.slack.com/methods/chat.unfurl
     * @param options Request options.
     */
    unfurlChatMessage<T = UnfurlChatMessageResponseOK>(options: UnfurlChatMessageRequest): Promise<UnfurlChatMessageResponseOK | T>;
    /**
     * Updates a message.
     * Alternative usage: Chat.updateMessage
     * Documentation: https://api.slack.com/methods/chat.update
     * @param options Request options.
     */
    updateChatMessage<T = UpdateChatMessageResponseOK>(options: UpdateChatMessageRequest): Promise<UpdateChatMessageResponseOK | T>;
    /**
     * Archives a conversation.
     * Alternative usage: Conversation.archiveConversation
     * Documentation: https://api.slack.com/methods/conversations.archive
     * @param options Request options.
     */
    archiveConversation<T = ArchiveConversationResponseOK>(options: ArchiveConversationRequest): Promise<ArchiveConversationResponseOK | T>;
    /**
     * Closes a direct message or multi-person direct message.
     * Alternative usage: Conversation.closeConversation
     * Documentation: https://api.slack.com/methods/conversations.close
     * @param options Request options.
     */
    closeConversation<T = CloseConversationResponseOK>(options: CloseConversationRequest): Promise<CloseConversationResponseOK | T>;
    /**
     * Initiates a public or private channel-based conversation
     * Alternative usage: Conversation.createConversation
     * Documentation: https://api.slack.com/methods/conversations.create
     * @param options Request options.
     */
    createConversation<T = CreateConversationResponseOK>(options: CreateConversationRequest): Promise<CreateConversationResponseOK | T>;
    /**
     * Fetches a conversation's history of messages and events.
     * Alternative usage: Conversation.getHistory
     * Documentation: https://api.slack.com/methods/conversations.history
     * @param options Request options.
     */
    getConversationHistory<T = GetConversationHistoryResponseOK>(options?: GetConversationHistoryRequest): Promise<GetConversationHistoryResponseOK | T>;
    /**
     * Retrieve information about a conversation.
     * Alternative usage: Conversation.getInfo
     * Documentation: https://api.slack.com/methods/conversations.info
     * @param options Request options.
     */
    getConversationInfo<T = GetConversationInfoResponseOK>(options: GetConversationInfoRequest): Promise<GetConversationInfoResponseOK | T>;
    /**
     * Invites users to a channel.
     * Alternative usage: Conversation.inviteUser
     * Documentation: https://api.slack.com/methods/conversations.invite
     * @param options Request options.
     */
    inviteUserToConversation<T = InviteUserToConversationResponseOK>(options: InviteUserToConversationRequest): Promise<InviteUserToConversationResponseOK | T>;
    /**
     * Joins an existing conversation.
     * Alternative usage: Conversation.joinConversation
     * Documentation: https://api.slack.com/methods/conversations.join
     * @param options Request options.
     */
    joinConversation<T = JoinConversationResponseOK>(options: JoinConversationRequest): Promise<JoinConversationResponseOK | T>;
    /**
     * Removes a user from a conversation.
     * Alternative usage: Conversation.kickUser
     * Documentation: https://api.slack.com/methods/conversations.kick
     * @param options Request options.
     */
    kickUserFromConversation<T = KickUserFromConversationResponseOK>(options: KickUserFromConversationRequest): Promise<KickUserFromConversationResponseOK | T>;
    /**
     * Leaves a conversation.
     * Alternative usage: Conversation.leaveConversation
     * Documentation: https://api.slack.com/methods/conversations.leave
     * @param options Request options.
     */
    leaveConversation<T = LeaveConversationResponseOK>(options: LeaveConversationRequest): Promise<LeaveConversationResponseOK | T>;
    /**
     * Lists all channels in a Slack team.
     * Recommended usage: Conversation.getConversations
     * Documentation: https://api.slack.com/methods/conversations.list
     * @param options Request options.
     */
    getConversations<T = GetConversationsResponseOK>(options?: GetConversationsRequest): Promise<GetConversationsResponseOK | T>;
    /**
     * Retrieve members of a conversation.
     * Alternative usage: Conversation.getMembers
     * Documentation: https://api.slack.com/methods/conversations.members
     * @param options Request options.
     */
    getConversationMembers<T = GetConversationMembersResponseOK>(options: GetConversationMembersRequest): Promise<GetConversationMembersResponseOK | T>;
    /**
     * Opens or resumes a direct message or multi-person direct message.
     * Alternative usage: Conversation.openConversation
     * Documentation: https://api.slack.com/methods/conversations.open
     * @param options Request options.
     */
    openConversation<T = OpenConversationResponseOK>(options: OpenConversationRequest): Promise<OpenConversationResponseOK | T>;
    /**
     * Renames a conversation.
     * Alternative usage: Conversation.renameConversation
     * Documentation: https://api.slack.com/methods/conversations.rename
     * @param options Request options.
     */
    renameConversation<T = RenameConversationResponseOK>(options: RenameConversationRequest): Promise<RenameConversationResponseOK | T>;
    /**
     * Retrieve a thread of messages posted to a conversation
     * Alternative usage: Conversation.getReplies
     * Documentation: https://api.slack.com/methods/conversations.replies
     * @param options Request options.
     */
    getConversationReplies<T = GetConversationRepliesResponseOK>(options?: GetConversationRepliesRequest): Promise<GetConversationRepliesResponseOK | T>;
    /**
     * Sets the purpose for a conversation.
     * Alternative usage: Conversation.setPurpose
     * Documentation: https://api.slack.com/methods/conversations.setPurpose
     * @param options Request options.
     */
    setConversationPurpose<T = SetConversationPurposeResponseOK>(options: SetConversationPurposeRequest): Promise<SetConversationPurposeResponseOK | T>;
    /**
     * Sets the topic for a conversation.
     * Alternative usage: Conversation.setTopic
     * Documentation: https://api.slack.com/methods/conversations.setTopic
     * @param options Request options.
     */
    setConversationTopic<T = SetConversationTopicResponseOK>(options: SetConversationTopicRequest): Promise<SetConversationTopicResponseOK | T>;
    /**
     * Reverses conversation archival.
     * Alternative usage: Conversation.unarchiveConversation
     * Documentation: https://api.slack.com/methods/conversations.unarchive
     * @param options Request options.
     */
    unarchiveConversation<T = UnarchiveConversationResponseOK>(options: UnarchiveConversationRequest): Promise<UnarchiveConversationResponseOK | T>;
    /**
     * Open a dialog with a user
     * Alternative usage: Dialog.openDialog
     * Documentation: https://api.slack.com/methods/dialog.open
     * @param options Request options.
     */
    openDialog<T = OpenDialogResponseOK>(options: OpenDialogRequest): Promise<OpenDialogResponseOK | T>;
    /**
     * Retrieves a user's current Do Not Disturb status.
     * Alternative usage: Dnd.getInfo
     * Documentation: https://api.slack.com/methods/dnd.info
     * @param options Request options.
     */
    getDndInfo<T = GetDndInfoResponseOK>(options?: GetDndInfoRequest): Promise<GetDndInfoResponseOK | T>;
    /**
     * Retrieves the Do Not Disturb status for up to 50 users on a team.
     * Alternative usage: Dnd.getTeamInfo
     * Documentation: https://api.slack.com/methods/dnd.teamInfo
     * @param options Request options.
     */
    getDndTeamInfo<T = GetDndTeamInfoResponseOK>(options: GetDndTeamInfoRequest): Promise<GetDndTeamInfoResponseOK | T>;
    /**
     * Lists custom emoji for a team.
     * Alternative usage: Emoji.getEmojis
     * Documentation: https://api.slack.com/methods/emoji.list
     * @param options Request options.
     */
    getEmojis<T = GetEmojisResponseOK>(options?: GetEmojisRequest): Promise<GetEmojisResponseOK | T>;
    /**
     * Deletes a file.
     * Alternative usage: File.deleteFile
     * Documentation: https://api.slack.com/methods/files.delete
     * @param options Request options.
     */
    deleteFile<T = DeleteFileResponseOK>(options: DeleteFileRequest): Promise<DeleteFileResponseOK | T>;
    /**
     * Gets information about a file.
     * Alternative usage: File.getInfo
     * Documentation: https://api.slack.com/methods/files.info
     * @param options Request options.
     */
    getFileInfo<T = GetFileInfoResponseOK>(options?: GetFileInfoRequest): Promise<GetFileInfoResponseOK | T>;
    /**
     * List for a team, in a channel, or from a user with applied filters.
     * Alternative usage: File.getFiles
     * Documentation: https://api.slack.com/methods/files.list
     * @param options Request options.
     */
    getFiles<T = GetFilesResponseOK>(options?: GetFilesRequest): Promise<GetFilesResponseOK | T>;
    /**
     * Uploads or creates a file.
     * Recommended usage: File.uploadFile
     * Documentation: https://api.slack.com/methods/files.upload
     * @param options Request options.
     */
    uploadFile<T = UploadFileResponseOK>(options: UploadFileRequest): Promise<UploadFileResponseOK | T>;
    /**
     * Deletes an existing comment on a file.
     * Alternative usage: File.Comment.deleteComment
     * Documentation: https://api.slack.com/methods/files.comments.delete
     * @param options Request options.
     */
    deleteFileComment<T = DeleteFileCommentResponseOK>(options: DeleteFileCommentRequest): Promise<DeleteFileCommentResponseOK | T>;
    /**
     * Adds a file from a remote service
     * Alternative usage: File.Remote.addFile
     * Documentation: https://api.slack.com/methods/files.remote.add
     * @param options Request options.
     */
    addRemoteFile<T = AddRemoteFileResponseOK>(options: AddRemoteFileRequest): Promise<AddRemoteFileResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Alternative usage: File.Remote.getInfo
     * Documentation: https://api.slack.com/methods/files.remote.info
     * @param options Request options.
     */
    getRemoteFileInfo<T = GetRemoteFileInfoResponseOK>(options?: GetRemoteFileInfoRequest): Promise<GetRemoteFileInfoResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Alternative usage: File.Remote.getFiles
     * Documentation: https://api.slack.com/methods/files.remote.list
     * @param options Request options.
     */
    getRemoteFiles<T = GetRemoteFilesResponseOK>(options?: GetRemoteFilesRequest): Promise<GetRemoteFilesResponseOK | T>;
    /**
     * Remove a remote file.
     * Alternative usage: File.Remote.removeFile
     * Documentation: https://api.slack.com/methods/files.remote.remove
     * @param options Request options.
     */
    removeRemoteFile<T = RemoveRemoteFileResponseOK>(options?: RemoveRemoteFileRequest): Promise<RemoveRemoteFileResponseOK | T>;
    /**
     * Share a remote file into a channel.
     * Alternative usage: File.Remote.shareFile
     * Documentation: https://api.slack.com/methods/files.remote.share
     * @param options Request options.
     */
    shareRemoteFile<T = ShareRemoteFileResponseOK>(options?: ShareRemoteFileRequest): Promise<ShareRemoteFileResponseOK | T>;
    /**
     * Updates an existing remote file.
     * Alternative usage: File.Remote.updateFile
     * Documentation: https://api.slack.com/methods/files.remote.update
     * @param options Request options.
     */
    updateRemoteFile<T = UpdateRemoteFileResponseOK>(options?: UpdateRemoteFileRequest): Promise<UpdateRemoteFileResponseOK | T>;
    /**
     * Adds a reaction to an item.
     * Alternative usage: Reaction.addReaction
     * Documentation: https://api.slack.com/methods/reactions.add
     * @param options Request options.
     */
    addReaction<T = AddReactionResponseOK>(options: AddReactionRequest): Promise<AddReactionResponseOK | T>;
    /**
     * Gets reactions for an item.
     * Alternative usage: Reaction.getReaction
     * Documentation: https://api.slack.com/methods/reactions.get
     * @param options Request options.
     */
    getReaction<T = GetReactionResponseOK>(options?: GetReactionRequest): Promise<GetReactionResponseOK | T>;
    /**
     * Lists reactions made by a user.
     * Alternative usage: Reaction.getReactions
     * Documentation: https://api.slack.com/methods/reactions.list
     * @param options Request options.
     */
    getReactions<T = GetReactionsResponseOK>(options?: GetReactionsRequest): Promise<GetReactionsResponseOK | T>;
    /**
     * Removes a reaction from an item.
     * Alternative usage: Reaction.removeReaction
     * Documentation: https://api.slack.com/methods/reactions.remove
     * @param options Request options.
     */
    removeReaction<T = RemoveReactionResponseOK>(options: RemoveReactionRequest): Promise<RemoveReactionResponseOK | T>;
    /**
     * Gets information about the current team.
     * Alternative usage: Team.getInfo
     * Documentation: https://api.slack.com/methods/team.info
     * @param options Request options.
     */
    getTeamInfo<T = GetTeamInfoResponseOK>(options?: GetTeamInfoRequest): Promise<GetTeamInfoResponseOK | T>;
    /**
     * Retrieve a team's profile.
     * Alternative usage: Team.Profile.getProfile
     * Documentation: https://api.slack.com/methods/team.profile.get
     * @param options Request options.
     */
    getTeamProfile<T = GetTeamProfileResponseOK>(options?: GetTeamProfileRequest): Promise<GetTeamProfileResponseOK | T>;
    /**
     * Create a User Group
     * Alternative usage: UserGroup.createUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.create
     * @param options Request options.
     */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
     * Disable an existing User Group
     * Alternative usage: UserGroup.disableUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.disable
     * @param options Request options.
     */
    disableUserGroup<T = DisableUserGroupResponseOK>(options: DisableUserGroupRequest): Promise<DisableUserGroupResponseOK | T>;
    /**
     * Enable a User Group
     * Alternative usage: UserGroup.enableUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.enable
     * @param options Request options.
     */
    enableUserGroup<T = EnableUserGroupResponseOK>(options: EnableUserGroupRequest): Promise<EnableUserGroupResponseOK | T>;
    /**
     * List all User Groups for a team
     * Alternative usage: UserGroup.getUserGroups
     * Documentation: https://api.slack.com/methods/usergroups.list
     * @param options Request options.
     */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
     * Update an existing User Group
     * Alternative usage: UserGroup.updateUserGroup
     * Documentation: https://api.slack.com/methods/usergroups.update
     * @param options Request options.
     */
    updateUserGroup<T = UpdateUserGroupResponseOK>(options: UpdateUserGroupRequest): Promise<UpdateUserGroupResponseOK | T>;
    /**
     * List all users in a User Group
     * Alternative usage: UserGroup.User.getUsers
     * Documentation: https://api.slack.com/methods/usergroups.users.list
     * @param options Request options.
     */
    getUsersInUserGroup<T = GetUsersInUserGroupResponseOK>(options: GetUsersInUserGroupRequest): Promise<GetUsersInUserGroupResponseOK | T>;
    /**
     * Update the list of users for a User Group
     * Alternative usage: UserGroup.User.updateUsers
     * Documentation: https://api.slack.com/methods/usergroups.users.update
     * @param options Request options.
     */
    updateUsersInUserGroup<T = UpdateUsersInUserGroupResponseOK>(options: UpdateUsersInUserGroupRequest): Promise<UpdateUsersInUserGroupResponseOK | T>;
}
declare class AdminGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Users: AdminUsersGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class AdminUsersGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Set an existing guest user, admin user, or owner to be a regular user.
     * Documentation: https://api.slack.com/methods/admin.users.setRegular
     * @param options Request options.
     */
    setRegular<T = AdminSetRegularUserResponseOK>(options: AdminSetRegularUserRequest): Promise<AdminSetRegularUserResponseOK | T>;
    /**
     * Set an existing guest, regular user, or admin user to be a workspace owner.
     * Documentation: https://api.slack.com/methods/admin.users.setOwner
     * @param options Request options.
     */
    setOwner<T = AdminSetOwnerUserResponseOK>(options: AdminSetOwnerUserRequest): Promise<AdminSetOwnerUserResponseOK | T>;
    /**
     * Set an expiration for a guest user
     * Documentation: https://api.slack.com/methods/admin.users.setExpiration
     * @param options Request options.
     */
    setExpiration<T = AdminSetUserExpirationResponseOK>(options: AdminSetUserExpirationRequest): Promise<AdminSetUserExpirationResponseOK | T>;
    /**
     * Set an existing guest, regular user, or owner to be an admin user.
     * Documentation: https://api.slack.com/methods/admin.users.setAdmin
     * @param options Request options.
     */
    setAdmin<T = AdminSetAdminUserResponseOK>(options: AdminSetAdminUserRequest): Promise<AdminSetAdminUserResponseOK | T>;
    /**
     * Remove a user from a workspace.
     * Documentation: https://api.slack.com/methods/admin.users.remove
     * @param options Request options.
     */
    removeUser<T = AdminRemoveUserResponseOK>(options: AdminRemoveUserRequest): Promise<AdminRemoveUserResponseOK | T>;
    /**
     * List users on a workspace
     * Documentation: https://api.slack.com/methods/admin.users.list
     * @param options Request options.
     */
    getUsers<T = AdminGetUsersResponseOK>(options: AdminGetUsersRequest): Promise<AdminGetUsersResponseOK | T>;
    /**
     * Invite a user to a workspace.
     * Documentation: https://api.slack.com/methods/admin.users.invite
     * @param options Request options.
     */
    inviteUser<T = AdminInviteUserResponseOK>(options: AdminInviteUserRequest): Promise<AdminInviteUserResponseOK | T>;
    /**
     * Add an Enterprise user to a workspace.
     * Documentation: https://api.slack.com/methods/admin.users.assign
     * @param options Request options.
     */
    assignUser<T = AdminAssignUserResponseOK>(options: AdminAssignUserRequest): Promise<AdminAssignUserResponseOK | T>;
}
declare class ViewGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Update an existing view.
     * Documentation: https://api.slack.com/methods/views.update
     * @param options Request options.
     */
    updateView<T = UpdateViewResponseOK>(options: UpdateViewRequest): Promise<UpdateViewResponseOK | T>;
    /**
     * Push a view onto the stack of a root view.
     * Documentation: https://api.slack.com/methods/views.push
     * @param options Request options.
     */
    pushView<T = PushViewResponseOK>(options: PushViewRequest): Promise<PushViewResponseOK | T>;
    /**
     * Publish a static view for a User.
     * Documentation: https://api.slack.com/methods/views.publish
     * @param options Request options.
     */
    publishView<T = PublishViewResponseOK>(options: PublishViewRequest): Promise<PublishViewResponseOK | T>;
    /**
     * Open a view for a user.
     * Documentation: https://api.slack.com/methods/views.open
     * @param options Request options.
     */
    openView<T = OpenViewResponseOK>(options: OpenViewRequest): Promise<OpenViewResponseOK | T>;
}
declare class UserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Profile: UserProfileGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Find a user with an email address.
     * Documentation: https://api.slack.com/methods/users.lookupByEmail
     * @param options Request options.
     */
    getUserByEmail<T = GetUserByEmailResponseOK>(options: GetUserByEmailRequest): Promise<GetUserByEmailResponseOK | T>;
    /**
     * Lists all users in a Slack team.
     * Documentation: https://api.slack.com/methods/users.list
     * @param options Request options.
     */
    getUsers<T = GetUsersResponseOK>(options?: GetUsersRequest): Promise<GetUsersResponseOK | T>;
    /**
     * Gets information about a user.
     * Documentation: https://api.slack.com/methods/users.info
     * @param options Request options.
     */
    getInfo<T = GetUserInfoResponseOK>(options: GetUserInfoRequest): Promise<GetUserInfoResponseOK | T>;
    /**
     * Get a user's identity.
     * Documentation: https://api.slack.com/methods/users.identity
     * @param options Request options.
     */
    getIdentity<T = GetUserIdentityResponseOK>(options?: GetUserIdentityRequest): Promise<GetUserIdentityResponseOK | T>;
    /**
     * List conversations the calling user may access.
     * Documentation: https://api.slack.com/methods/users.conversations
     * @param options Request options.
     */
    getConversations<T = GetUserConversationsResponseOK>(options?: GetUserConversationsRequest): Promise<GetUserConversationsResponseOK | T>;
    /**
     * Gets user presence information.
     * Documentation: https://api.slack.com/methods/users.getPresence
     * @param options Request options.
     */
    getPresence<T = GetUserPresenceResponseOK>(options?: GetUserPresenceRequest): Promise<GetUserPresenceResponseOK | T>;
    /**
     * Manually sets user presence.
     * Documentation: https://api.slack.com/methods/users.setPresence
     * @param options Request options.
     */
    setPresence<T = SetUserPresenceResponseOK>(options: SetUserPresenceRequest): Promise<SetUserPresenceResponseOK | T>;
}
declare class UserProfileGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Set the profile information for a user.
     * Documentation: https://api.slack.com/methods/users.profile.set
     * @param options Request options.
     */
    setProfile<T = SetUserProfileResponseOK>(options: SetUserProfileRequest): Promise<SetUserProfileResponseOK | T>;
    /**
     * Retrieves a user's profile information.
     * Documentation: https://api.slack.com/methods/users.profile.get
     * @param options Request options.
     */
    getProfile<T = GetUserProfileResponseOK>(options?: GetUserProfileRequest): Promise<GetUserProfileResponseOK | T>;
}
declare class RemindersGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Lists all reminders created by or for a given user.
     * Documentation: https://api.slack.com/methods/reminders.list
     * @param options Request options.
     */
    getReminders<T = GetRemindersResponseOK>(options?: GetRemindersRequest): Promise<GetRemindersResponseOK | T>;
    /**
     * Gets information about a reminder.
     * Documentation: https://api.slack.com/methods/reminders.info
     * @param options Request options.
     */
    getInfo<T = GetReminderInfoResponseOK>(options: GetReminderInfoRequest): Promise<GetReminderInfoResponseOK | T>;
    /**
     * Deletes a reminder.
     * Documentation: https://api.slack.com/methods/reminders.delete
     * @param options Request options.
     */
    deleteReminder<T = DeleteReminderResponseOK>(options: DeleteReminderRequest): Promise<DeleteReminderResponseOK | T>;
    /**
     * Marks a reminder as complete.
     * Documentation: https://api.slack.com/methods/reminders.complete
     * @param options Request options.
     */
    completeReminder<T = CompleteReminderResponseOK>(options: CompleteReminderRequest): Promise<CompleteReminderResponseOK | T>;
    /**
     * Creates a reminder.
     * Documentation: https://api.slack.com/methods/reminders.add
     * @param options Request options.
     */
    addReminder<T = AddReminderResponseOK>(options: AddReminderRequest): Promise<AddReminderResponseOK | T>;
}
declare class PinsGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Un-pins an item from a channel.
     * Documentation: https://api.slack.com/methods/pins.remove
     * @param options Request options.
     */
    removePin<T = RemovePinResponseOK>(options: RemovePinRequest): Promise<RemovePinResponseOK | T>;
    /**
     * Lists items pinned to a channel.
     * Documentation: https://api.slack.com/methods/pins.list
     * @param options Request options.
     */
    getPins<T = GetPinsResponseOK>(options: GetPinsRequest): Promise<GetPinsResponseOK | T>;
    /**
     * Pins an item to a channel.
     * Documentation: https://api.slack.com/methods/pins.add
     * @param options Request options.
     */
    addPin<T = AddPinResponseOK>(options: AddPinRequest): Promise<AddPinResponseOK | T>;
}
declare class BotGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Gets information about a bot user.
     * Documentation: https://api.slack.com/methods/bots.info
     * @param options Request options.
     */
    getInfo<T = GetBotInfoResponseOK>(options?: GetBotInfoRequest): Promise<GetBotInfoResponseOK | T>;
}
declare class ChatGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Deletes a message.
     * Documentation: https://api.slack.com/methods/chat.delete
     * @param options Request options.
     */
    deleteMessage<T = DeleteChatMessageResponseOK>(options: DeleteChatMessageRequest): Promise<DeleteChatMessageResponseOK | T>;
    /**
     * Deletes a pending scheduled message from the queue.
     * Documentation: https://api.slack.com/methods/chat.deleteScheduledMessage
     * @param options Request options.
     */
    deleteScheduledMessage<T = DeleteChatScheduledMessageResponseOK>(options: DeleteChatScheduledMessageRequest): Promise<DeleteChatScheduledMessageResponseOK | T>;
    /**
     * Retrieve a permalink URL for a specific extant message
     * Documentation: https://api.slack.com/methods/chat.getPermalink
     * @param options Request options.
     */
    getPermalink<T = GetChatPermalinkResponseOK>(options: GetChatPermalinkRequest): Promise<GetChatPermalinkResponseOK | T>;
    /**
     * Share a me message into a channel.
     * Documentation: https://api.slack.com/methods/chat.meMessage
     * @param options Request options.
     */
    postMeMessage<T = PostChatMeMessageResponseOK>(options: PostChatMeMessageRequest): Promise<PostChatMeMessageResponseOK | T>;
    /**
     * Sends an ephemeral message to a user in a channel.
     * Documentation: https://api.slack.com/methods/chat.postEphemeral
     * @param options Request options.
     */
    postEphemeralMessage<T = PostChatEphemeralMessageResponseOK>(options: PostChatEphemeralMessageRequest): Promise<PostChatEphemeralMessageResponseOK | T>;
    /**
     * Sends a message to a channel.
     * Documentation: https://api.slack.com/methods/chat.postMessage
     * @param options Request options.
     */
    postMessage<T = PostChatMessageResponseOK>(options: PostChatMessageRequest): Promise<PostChatMessageResponseOK | T>;
    /**
     * Schedules a message to be sent to a channel.
     * Documentation: https://api.slack.com/methods/chat.scheduleMessage
     * @param options Request options.
     */
    scheduleMessage<T = ScheduleChatMessageResponseOK>(options: ScheduleChatMessageRequest): Promise<ScheduleChatMessageResponseOK | T>;
    /**
     * Returns a list of scheduled messages.
     * Documentation: https://api.slack.com/methods/chat.scheduledMessages.list
     * @param options Request options.
     */
    getScheduledMessages<T = GetChatScheduledMessagesResponseOK>(options?: GetChatScheduledMessagesRequest): Promise<GetChatScheduledMessagesResponseOK | T>;
    /**
     * Provide custom unfurl behavior for user-posted URLs
     * Documentation: https://api.slack.com/methods/chat.unfurl
     * @param options Request options.
     */
    unfurlMessage<T = UnfurlChatMessageResponseOK>(options: UnfurlChatMessageRequest): Promise<UnfurlChatMessageResponseOK | T>;
    /**
     * Updates a message.
     * Documentation: https://api.slack.com/methods/chat.update
     * @param options Request options.
     */
    updateMessage<T = UpdateChatMessageResponseOK>(options: UpdateChatMessageRequest): Promise<UpdateChatMessageResponseOK | T>;
}
declare class ConversationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Archives a conversation.
     * Documentation: https://api.slack.com/methods/conversations.archive
     * @param options Request options.
     */
    archiveConversation<T = ArchiveConversationResponseOK>(options: ArchiveConversationRequest): Promise<ArchiveConversationResponseOK | T>;
    /**
     * Closes a direct message or multi-person direct message.
     * Documentation: https://api.slack.com/methods/conversations.close
     * @param options Request options.
     */
    closeConversation<T = CloseConversationResponseOK>(options: CloseConversationRequest): Promise<CloseConversationResponseOK | T>;
    /**
     * Initiates a public or private channel-based conversation
     * Documentation: https://api.slack.com/methods/conversations.create
     * @param options Request options.
     */
    createConversation<T = CreateConversationResponseOK>(options: CreateConversationRequest): Promise<CreateConversationResponseOK | T>;
    /**
     * Fetches a conversation's history of messages and events.
     * Documentation: https://api.slack.com/methods/conversations.history
     * @param options Request options.
     */
    getHistory<T = GetConversationHistoryResponseOK>(options?: GetConversationHistoryRequest): Promise<GetConversationHistoryResponseOK | T>;
    /**
     * Retrieve information about a conversation.
     * Documentation: https://api.slack.com/methods/conversations.info
     * @param options Request options.
     */
    getInfo<T = GetConversationInfoResponseOK>(options: GetConversationInfoRequest): Promise<GetConversationInfoResponseOK | T>;
    /**
     * Invites users to a channel.
     * Documentation: https://api.slack.com/methods/conversations.invite
     * @param options Request options.
     */
    inviteUser<T = InviteUserToConversationResponseOK>(options: InviteUserToConversationRequest): Promise<InviteUserToConversationResponseOK | T>;
    /**
     * Joins an existing conversation.
     * Documentation: https://api.slack.com/methods/conversations.join
     * @param options Request options.
     */
    joinConversation<T = JoinConversationResponseOK>(options: JoinConversationRequest): Promise<JoinConversationResponseOK | T>;
    /**
     * Removes a user from a conversation.
     * Documentation: https://api.slack.com/methods/conversations.kick
     * @param options Request options.
     */
    kickUser<T = KickUserFromConversationResponseOK>(options: KickUserFromConversationRequest): Promise<KickUserFromConversationResponseOK | T>;
    /**
     * Leaves a conversation.
     * Documentation: https://api.slack.com/methods/conversations.leave
     * @param options Request options.
     */
    leaveConversation<T = LeaveConversationResponseOK>(options: LeaveConversationRequest): Promise<LeaveConversationResponseOK | T>;
    /**
     * Lists all channels in a Slack team.
     * Documentation: https://api.slack.com/methods/conversations.list
     * @param options Request options.
     */
    getConversations<T = GetConversationsResponseOK>(options?: GetConversationsRequest): Promise<GetConversationsResponseOK | T>;
    /**
     * Retrieve members of a conversation.
     * Documentation: https://api.slack.com/methods/conversations.members
     * @param options Request options.
     */
    getMembers<T = GetConversationMembersResponseOK>(options: GetConversationMembersRequest): Promise<GetConversationMembersResponseOK | T>;
    /**
     * Opens or resumes a direct message or multi-person direct message.
     * Documentation: https://api.slack.com/methods/conversations.open
     * @param options Request options.
     */
    openConversation<T = OpenConversationResponseOK>(options: OpenConversationRequest): Promise<OpenConversationResponseOK | T>;
    /**
     * Renames a conversation.
     * Documentation: https://api.slack.com/methods/conversations.rename
     * @param options Request options.
     */
    renameConversation<T = RenameConversationResponseOK>(options: RenameConversationRequest): Promise<RenameConversationResponseOK | T>;
    /**
     * Retrieve a thread of messages posted to a conversation
     * Documentation: https://api.slack.com/methods/conversations.replies
     * @param options Request options.
     */
    getReplies<T = GetConversationRepliesResponseOK>(options?: GetConversationRepliesRequest): Promise<GetConversationRepliesResponseOK | T>;
    /**
     * Sets the purpose for a conversation.
     * Documentation: https://api.slack.com/methods/conversations.setPurpose
     * @param options Request options.
     */
    setPurpose<T = SetConversationPurposeResponseOK>(options: SetConversationPurposeRequest): Promise<SetConversationPurposeResponseOK | T>;
    /**
     * Sets the topic for a conversation.
     * Documentation: https://api.slack.com/methods/conversations.setTopic
     * @param options Request options.
     */
    setTopic<T = SetConversationTopicResponseOK>(options: SetConversationTopicRequest): Promise<SetConversationTopicResponseOK | T>;
    /**
     * Reverses conversation archival.
     * Documentation: https://api.slack.com/methods/conversations.unarchive
     * @param options Request options.
     */
    unarchiveConversation<T = UnarchiveConversationResponseOK>(options: UnarchiveConversationRequest): Promise<UnarchiveConversationResponseOK | T>;
}
declare class DialogGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Open a dialog with a user
     * Documentation: https://api.slack.com/methods/dialog.open
     * @param options Request options.
     */
    openDialog<T = OpenDialogResponseOK>(options: OpenDialogRequest): Promise<OpenDialogResponseOK | T>;
}
declare class DndGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Ends the current user's Do Not Disturb session immediately.
     * Documentation: https://api.slack.com/methods/dnd.endDnd
     * @param options Request options.
     */
    endDnd<T = EndDndResponseOK>(options?: EndDndRequest): Promise<EndDndResponseOK | T>;
    /**
     * Ends the current user's snooze mode immediately.
     * Documentation: https://api.slack.com/methods/dnd.endSnooze
     * @param options Request options.
     */
    endSnooze<T = EndDndSnoozeResponseOK>(options?: EndDndSnoozeRequest): Promise<EndDndSnoozeResponseOK | T>;
    /**
     * Retrieves a user's current Do Not Disturb status.
     * Documentation: https://api.slack.com/methods/dnd.info
     * @param options Request options.
     */
    getInfo<T = GetDndInfoResponseOK>(options?: GetDndInfoRequest): Promise<GetDndInfoResponseOK | T>;
    /**
     * Turns on Do Not Disturb mode for the current user, or changes its duration.
     * Documentation: https://api.slack.com/methods/dnd.setSnooze
     * @param options Request options.
     */
    setSnooze<T = SetDndSnoozeResponseOK>(options: SetDndSnoozeRequest): Promise<SetDndSnoozeResponseOK | T>;
    /**
     * Retrieves the Do Not Disturb status for up to 50 users on a team.
     * Documentation: https://api.slack.com/methods/dnd.teamInfo
     * @param options Request options.
     */
    getTeamInfo<T = GetDndTeamInfoResponseOK>(options: GetDndTeamInfoRequest): Promise<GetDndTeamInfoResponseOK | T>;
}
declare class EmojiGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Lists custom emoji for a team.
     * Documentation: https://api.slack.com/methods/emoji.list
     * @param options Request options.
     */
    getEmojis<T = GetEmojisResponseOK>(options?: GetEmojisRequest): Promise<GetEmojisResponseOK | T>;
}
declare class FileGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Comment: FileCommentGroup;
    PublicUrl: FilePublicUrlGroup;
    Remote: FileRemoteGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Deletes a file.
     * Documentation: https://api.slack.com/methods/files.delete
     * @param options Request options.
     */
    deleteFile<T = DeleteFileResponseOK>(options: DeleteFileRequest): Promise<DeleteFileResponseOK | T>;
    /**
     * Gets information about a file.
     * Documentation: https://api.slack.com/methods/files.info
     * @param options Request options.
     */
    getInfo<T = GetFileInfoResponseOK>(options?: GetFileInfoRequest): Promise<GetFileInfoResponseOK | T>;
    /**
     * List for a team, in a channel, or from a user with applied filters.
     * Documentation: https://api.slack.com/methods/files.list
     * @param options Request options.
     */
    getFiles<T = GetFilesResponseOK>(options?: GetFilesRequest): Promise<GetFilesResponseOK | T>;
    /**
     * Uploads or creates a file.
     * Documentation: https://api.slack.com/methods/files.upload
     * @param options Request options.
     */
    uploadFile<T = UploadFileResponseOK>(options: UploadFileRequest): Promise<UploadFileResponseOK | T>;
}
declare class FileCommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Deletes an existing comment on a file.
     * Documentation: https://api.slack.com/methods/files.comments.delete
     * @param options Request options.
     */
    deleteComment<T = DeleteFileCommentResponseOK>(options: DeleteFileCommentRequest): Promise<DeleteFileCommentResponseOK | T>;
}
declare class FilePublicUrlGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Revokes public/external sharing access for a file
     * Documentation: https://api.slack.com/methods/files.revokePublicURL
     * @param options Request options.
     */
    revokePublicUrl<T = RevokeFilePublicUrlResponseOK>(options: RevokeFilePublicUrlRequest): Promise<RevokeFilePublicUrlResponseOK | T>;
    /**
     * Enables a file for public/external sharing.
     * Documentation: https://api.slack.com/methods/files.sharedPublicURL
     * @param options Request options.
     */
    createPublicUrl<T = CreateFilePublicUrlResponseOK>(options: CreateFilePublicUrlRequest): Promise<CreateFilePublicUrlResponseOK | T>;
}
declare class FileRemoteGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Adds a file from a remote service
     * Documentation: https://api.slack.com/methods/files.remote.add
     * @param options Request options.
     */
    addFile<T = AddRemoteFileResponseOK>(options: AddRemoteFileRequest): Promise<AddRemoteFileResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Documentation: https://api.slack.com/methods/files.remote.info
     * @param options Request options.
     */
    getInfo<T = GetRemoteFileInfoResponseOK>(options?: GetRemoteFileInfoRequest): Promise<GetRemoteFileInfoResponseOK | T>;
    /**
     * Retrieve information about a remote file added to Slack
     * Documentation: https://api.slack.com/methods/files.remote.list
     * @param options Request options.
     */
    getFiles<T = GetRemoteFilesResponseOK>(options?: GetRemoteFilesRequest): Promise<GetRemoteFilesResponseOK | T>;
    /**
     * Remove a remote file.
     * Documentation: https://api.slack.com/methods/files.remote.remove
     * @param options Request options.
     */
    removeFile<T = RemoveRemoteFileResponseOK>(options?: RemoveRemoteFileRequest): Promise<RemoveRemoteFileResponseOK | T>;
    /**
     * Share a remote file into a channel.
     * Documentation: https://api.slack.com/methods/files.remote.share
     * @param options Request options.
     */
    shareFile<T = ShareRemoteFileResponseOK>(options?: ShareRemoteFileRequest): Promise<ShareRemoteFileResponseOK | T>;
    /**
     * Updates an existing remote file.
     * Documentation: https://api.slack.com/methods/files.remote.update
     * @param options Request options.
     */
    updateFile<T = UpdateRemoteFileResponseOK>(options?: UpdateRemoteFileRequest): Promise<UpdateRemoteFileResponseOK | T>;
}
declare class ReactionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Adds a reaction to an item.
     * Documentation: https://api.slack.com/methods/reactions.add
     * @param options Request options.
     */
    addReaction<T = AddReactionResponseOK>(options: AddReactionRequest): Promise<AddReactionResponseOK | T>;
    /**
     * Gets reactions for an item.
     * Documentation: https://api.slack.com/methods/reactions.get
     * @param options Request options.
     */
    getReaction<T = GetReactionResponseOK>(options?: GetReactionRequest): Promise<GetReactionResponseOK | T>;
    /**
     * Lists reactions made by a user.
     * Documentation: https://api.slack.com/methods/reactions.list
     * @param options Request options.
     */
    getReactions<T = GetReactionsResponseOK>(options?: GetReactionsRequest): Promise<GetReactionsResponseOK | T>;
    /**
     * Removes a reaction from an item.
     * Documentation: https://api.slack.com/methods/reactions.remove
     * @param options Request options.
     */
    removeReaction<T = RemoveReactionResponseOK>(options: RemoveReactionRequest): Promise<RemoveReactionResponseOK | T>;
}
declare class SearchGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Searches for messages matching a query.
     * Documentation: https://api.slack.com/methods/search.messages
     * @param options Request options.
     */
    searchMessages<T = SearchMessagesResponseOK>(options: SearchMessagesRequest): Promise<SearchMessagesResponseOK | T>;
}
declare class TeamGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Profile: TeamProfileGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Gets the access logs for the current team.
     * Documentation: https://api.slack.com/methods/team.accessLogs
     * @param options Request options.
     */
    getAccessLogs<T = GetTeamAccessLogsResponseOK>(options?: GetTeamAccessLogsRequest): Promise<GetTeamAccessLogsResponseOK | T>;
    /**
     * Gets billable users information for the current team.
     * Documentation: https://api.slack.com/methods/team.billableInfo
     * @param options Request options.
     */
    getBillableInfo<T = GetTeamBillableInfoResponseOK>(options?: GetTeamBillableInfoRequest): Promise<GetTeamBillableInfoResponseOK | T>;
    /**
     * Gets information about the current team.
     * Documentation: https://api.slack.com/methods/team.info
     * @param options Request options.
     */
    getInfo<T = GetTeamInfoResponseOK>(options?: GetTeamInfoRequest): Promise<GetTeamInfoResponseOK | T>;
    /**
     * Gets the integration logs for the current team.
     * Documentation: https://api.slack.com/methods/team.integrationLogs
     * @param options Request options.
     */
    getIntegrationLogs<T = GetTeamIntegrationLogsResponseOK>(options?: GetTeamIntegrationLogsRequest): Promise<GetTeamIntegrationLogsResponseOK | T>;
}
declare class TeamProfileGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Retrieve a team's profile.
     * Documentation: https://api.slack.com/methods/team.profile.get
     * @param options Request options.
     */
    getProfile<T = GetTeamProfileResponseOK>(options?: GetTeamProfileRequest): Promise<GetTeamProfileResponseOK | T>;
}
declare class UserGroupGroup {
    private implementation;
    private getGlobalErrorStrategy;
    User: UserGroupUserGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Create a User Group
     * Documentation: https://api.slack.com/methods/usergroups.create
     * @param options Request options.
     */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
     * Disable an existing User Group
     * Documentation: https://api.slack.com/methods/usergroups.disable
     * @param options Request options.
     */
    disableUserGroup<T = DisableUserGroupResponseOK>(options: DisableUserGroupRequest): Promise<DisableUserGroupResponseOK | T>;
    /**
     * Enable a User Group
     * Documentation: https://api.slack.com/methods/usergroups.enable
     * @param options Request options.
     */
    enableUserGroup<T = EnableUserGroupResponseOK>(options: EnableUserGroupRequest): Promise<EnableUserGroupResponseOK | T>;
    /**
     * List all User Groups for a team
     * Documentation: https://api.slack.com/methods/usergroups.list
     * @param options Request options.
     */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
     * Update an existing User Group
     * Documentation: https://api.slack.com/methods/usergroups.update
     * @param options Request options.
     */
    updateUserGroup<T = UpdateUserGroupResponseOK>(options: UpdateUserGroupRequest): Promise<UpdateUserGroupResponseOK | T>;
}
declare class UserGroupUserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * List all users in a User Group
     * Documentation: https://api.slack.com/methods/usergroups.users.list
     * @param options Request options.
     */
    getUsers<T = GetUsersInUserGroupResponseOK>(options: GetUsersInUserGroupRequest): Promise<GetUsersInUserGroupResponseOK | T>;
    /**
     * Update the list of users for a User Group
     * Documentation: https://api.slack.com/methods/usergroups.users.update
     * @param options Request options.
     */
    updateUsers<T = UpdateUsersInUserGroupResponseOK>(options: UpdateUsersInUserGroupRequest): Promise<UpdateUsersInUserGroupResponseOK | T>;
}
declare class ReplyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
     * Send message back to Slack using the response_url in the event payload.
     * Documentation: https://api.slack.com/interactivity/handling#message_responses
     * @param options Request options.
     */
    postMessage<T = PostReplyMessageResponseOK>(options: PostReplyMessageRequest): Promise<PostReplyMessageResponseOK | T>;
}
export {};
//# sourceMappingURL=index.d.ts.map