/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PreferredAuthOption } from "../common";
import { UserIdOption } from "../common";
import { DefsAppIdAsResponse } from "../definitions/DefsAppIdAsResponse";
import { DefsBotIdAsResponse } from "../definitions/DefsBotIdAsResponse";
import { DefsUserIdAsResponse } from "../definitions/DefsUserIdAsResponse";
import { DefsOkTrueAsResponse } from "../definitions/DefsOkTrueAsResponse";
import { DefsOkFalseAsResponse } from "../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetBotInfoRequest extends HeadersOption, ErrorStrategyOption, PreferredAuthOption, UserIdOption {
    /**
     * Bot user to get info on
     */
    bot?: string;
}
declare type GetBotInfoResponseOKType = {
    bot: {
        app_id: DefsAppIdAsResponse;
        deleted: boolean;
        icons: {
            image_36: string;
            image_48: string;
            image_72: string;
        };
        id: DefsBotIdAsResponse;
        name: string;
        updated: number;
        user_id?: DefsUserIdAsResponse;
    };
    ok: DefsOkTrueAsResponse;
};
export interface GetBotInfoResponseOK extends GetBotInfoResponseOKType {
}
declare type GetBotInfoResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "bot_not_found" | "not_authed" | "invalid_auth" | "account_inactive" | "token_revoked" | "no_permission" | "org_login_required" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_type" | "missing_post_type" | "team_added_to_org" | "invalid_json" | "json_not_object" | "request_timeout" | "upgrade_required" | "fatal_error";
    ok: DefsOkFalseAsResponse;
};
export interface GetBotInfoResponseError extends GetBotInfoResponseErrorType {
}
export {};
//# sourceMappingURL=bot.d.ts.map