/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PreferredAuthOption } from "../common";
import { UserIdOption } from "../common";
import { DefsOkTrueAsResponse } from "../definitions/DefsOkTrueAsResponse";
import { DefsOkFalseAsResponse } from "../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface OpenDialogRequest extends HeadersOption, ErrorStrategyOption, PreferredAuthOption, UserIdOption {
    body: {
        /**
         * The dialog definition. This must be a JSON-encoded string.
         */
        dialog: string;
        /**
         * Exchange a trigger to post to the user.
         */
        trigger_id: string;
    };
}
declare type OpenDialogResponseOKType = {
    ok: DefsOkTrueAsResponse;
};
export interface OpenDialogResponseOK extends OpenDialogResponseOKType {
}
declare type OpenDialogResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "validation_errors" | "missing_trigger" | "missing_dialog" | "trigger_exchanged" | "trigger_expired" | "invalid_trigger" | "app_missing_action_url" | "cannot_create_dialog" | "failed_sending_dialog" | "not_authed" | "invalid_auth" | "account_inactive" | "token_revoked" | "no_permission" | "org_login_required" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_type" | "missing_post_type" | "team_added_to_org" | "invalid_json" | "json_not_object" | "request_timeout" | "upgrade_required" | "fatal_error";
    ok: DefsOkFalseAsResponse;
};
export interface OpenDialogResponseError extends OpenDialogResponseErrorType {
}
export {};
//# sourceMappingURL=dialog.d.ts.map