/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PreferredAuthOption } from "../../common";
import { UserIdOption } from "../../common";
import { DefsOkTrueAsResponse } from "../../definitions/DefsOkTrueAsResponse";
import { DefsOkFalseAsResponse } from "../../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface DeleteFileCommentRequest extends HeadersOption, ErrorStrategyOption, PreferredAuthOption, UserIdOption {
    body: {
        /**
         * File to delete a comment from.
         */
        file: string;
        /**
         * The comment to delete.
         */
        id: string;
    };
}
declare type DeleteFileCommentResponseOKType = {
    ok: DefsOkTrueAsResponse;
};
export interface DeleteFileCommentResponseOK extends DeleteFileCommentResponseOKType {
}
declare type DeleteFileCommentResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "cant_delete" | "comment_not_found" | "not_authed" | "invalid_auth" | "account_inactive" | "no_permission" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_type" | "missing_post_type" | "invalid_json" | "json_not_object" | "request_timeout" | "upgrade_required";
    ok: DefsOkFalseAsResponse;
};
export interface DeleteFileCommentResponseError extends DeleteFileCommentResponseErrorType {
}
export {};
//# sourceMappingURL=comment.d.ts.map