/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserIdOption } from "../../common";
import { ObjsFileAsResponse } from "../../definitions/ObjsFileAsResponse";
import { DefsOkTrueAsResponse } from "../../definitions/DefsOkTrueAsResponse";
import { DefsOkFalseAsResponse } from "../../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface RevokeFilePublicUrlRequest extends HeadersOption, ErrorStrategyOption, UserIdOption {
    body: {
        /**
         * File to revoke
         */
        file: string;
    };
}
declare type RevokeFilePublicUrlResponseOKType = {
    file: ObjsFileAsResponse;
    ok: DefsOkTrueAsResponse;
};
export interface RevokeFilePublicUrlResponseOK extends RevokeFilePublicUrlResponseOKType {
}
declare type RevokeFilePublicUrlResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "file_not_found" | "not_authed" | "invalid_auth" | "account_inactive" | "token_revoked" | "no_permission" | "org_login_required" | "user_is_bot" | "user_is_restricted" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_type" | "missing_post_type" | "team_added_to_org" | "invalid_json" | "json_not_object" | "request_timeout" | "upgrade_required" | "fatal_error";
    ok: DefsOkFalseAsResponse;
};
export interface RevokeFilePublicUrlResponseError extends RevokeFilePublicUrlResponseErrorType {
}
export interface CreateFilePublicUrlRequest extends HeadersOption, ErrorStrategyOption, UserIdOption {
    body: {
        /**
         * File to share
         */
        file: string;
    };
}
declare type CreateFilePublicUrlResponseOKType = {
    file: ObjsFileAsResponse;
    ok: DefsOkTrueAsResponse;
};
export interface CreateFilePublicUrlResponseOK extends CreateFilePublicUrlResponseOKType {
}
declare type CreateFilePublicUrlResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "file_not_found" | "not_allowed" | "not_authed" | "invalid_auth" | "account_inactive" | "token_revoked" | "no_permission" | "org_login_required" | "user_is_bot" | "user_is_restricted" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_type" | "missing_post_type" | "team_added_to_org" | "invalid_json" | "json_not_object" | "request_timeout" | "upgrade_required" | "fatal_error";
    ok: DefsOkFalseAsResponse;
};
export interface CreateFilePublicUrlResponseError extends CreateFilePublicUrlResponseErrorType {
}
export {};
//# sourceMappingURL=publicUrl.d.ts.map