/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ReplyMessageOption } from "../common";
import { DefsOkTrueAsResponse } from "../definitions/DefsOkTrueAsResponse";
import { DefsOkFalseAsResponse } from "../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface PostReplyMessageRequest extends HeadersOption, ErrorStrategyOption, ReplyMessageOption {
    body: {
        /**
         * Text to send back.
         */
        text?: string;
        response_type?: "ephemeral" | "in_channel";
        /**
         * Whether to replace original message.
         */
        replace_original?: boolean;
        /**
         * Whether to delete original message.
         */
        delete_original?: boolean;
        channel?: string;
        token?: string;
        code?: string;
        state?: string;
        redirect_uri?: string;
        client_id?: string;
        client_secret?: string;
        unfurl_links?: boolean;
        attachments?: any[];
        blocks?: any[];
        as_user?: boolean;
        count?: number;
        [keyname: string]: any;
    };
}
export declare type PostReplyMessageResponseOK = undefined | {
    ok: DefsOkTrueAsResponse;
    data?: string;
};
export interface PostReplyMessageResponseError {
    error?: string;
    ok: DefsOkFalseAsResponse;
    warning?: string;
    [keyname: string]: any;
}
//# sourceMappingURL=reply.d.ts.map