/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PreferredAuthOption } from "../../common";
import { UserIdOption } from "../../common";
import { DefsOkTrueAsResponse } from "../../definitions/DefsOkTrueAsResponse";
import { ObjsTeamProfileFieldAsResponse } from "../../definitions/ObjsTeamProfileFieldAsResponse";
import { DefsOkFalseAsResponse } from "../../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetTeamProfileRequest extends HeadersOption, ErrorStrategyOption, PreferredAuthOption, UserIdOption {
    /**
     * Filter by visibility.
     */
    visibility?: string;
}
declare type GetTeamProfileResponseOKType = {
    ok: DefsOkTrueAsResponse;
    profile: {
        fields: Array<ObjsTeamProfileFieldAsResponse>;
    };
};
export interface GetTeamProfileResponseOK extends GetTeamProfileResponseOKType {
}
declare type GetTeamProfileResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "not_authed" | "invalid_auth" | "account_inactive" | "no_permission" | "user_is_bot" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_typ" | "missing_post_type" | "team_added_to_org" | "invalid_json" | "json_not_object" | "request_timeou" | "upgrade_required";
    ok: DefsOkFalseAsResponse;
};
export interface GetTeamProfileResponseError extends GetTeamProfileResponseErrorType {
}
export {};
//# sourceMappingURL=profile.d.ts.map