/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PreferredAuthOption } from "../../common";
import { UserIdOption } from "../../common";
import { DefsOkTrueAsResponse } from "../../definitions/DefsOkTrueAsResponse";
import { DefsUserIdAsResponse } from "../../definitions/DefsUserIdAsResponse";
import { DefsOkFalseAsResponse } from "../../definitions/DefsOkFalseAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ObjsSubteamAsResponse } from "../../definitions/ObjsSubteamAsResponse";
export interface GetUsersInUserGroupRequest extends HeadersOption, ErrorStrategyOption, PreferredAuthOption, UserIdOption {
    /**
     * Allow results that involve disabled User Groups.
     */
    include_disabled?: boolean;
    /**
     * The encoded ID of the User Group to update.
     */
    usergroup: string;
}
declare type GetUsersInUserGroupResponseOKType = {
    ok: DefsOkTrueAsResponse;
    users: Array<DefsUserIdAsResponse>;
};
export interface GetUsersInUserGroupResponseOK extends GetUsersInUserGroupResponseOKType {
}
declare type GetUsersInUserGroupResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "not_authed" | "invalid_auth" | "account_inactive" | "token_revoked" | "no_permission" | "org_login_required" | "user_is_bot" | "user_is_restricted" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_type" | "missing_post_type" | "team_added_to_org" | "invalid_json" | "json_not_object" | "request_timeout" | "upgrade_require" | "fatal_error" | "missing_charset" | "superfluous_charset";
    ok: DefsOkFalseAsResponse;
};
export interface GetUsersInUserGroupResponseError extends GetUsersInUserGroupResponseErrorType {
}
export interface UpdateUsersInUserGroupRequest extends HeadersOption, ErrorStrategyOption, PreferredAuthOption, UserIdOption {
    body: {
        /**
         * Include the number of users in the User Group.
         */
        include_count?: boolean;
        /**
         * The encoded ID of the User Group to update.
         */
        usergroup: string;
        /**
         * A comma separated string of encoded user IDs that represent the entire list of users for the User Group.
         */
        users: string;
    };
}
declare type UpdateUsersInUserGroupResponseOKType = {
    ok: DefsOkTrueAsResponse;
    usergroup: ObjsSubteamAsResponse;
};
export interface UpdateUsersInUserGroupResponseOK extends UpdateUsersInUserGroupResponseOKType {
}
declare type UpdateUsersInUserGroupResponseErrorType = {
    /**
     * Note: PHP callstack is only visible in dev/qa
     */
    callstack?: string;
    error: "permission_denied" | "not_authed" | "invalid_auth" | "account_inactive" | "token_revoked" | "no_permission" | "org_login_required" | "user_is_bot" | "user_is_restricted" | "invalid_arg_name" | "invalid_array_arg" | "invalid_charset" | "invalid_form_data" | "invalid_post_type" | "missing_post_type" | "team_added_to_org" | "invalid_json" | "json_not_object" | "request_timeout" | "upgrade_require" | "fatal_error" | "missing_charset" | "superfluous_charset";
    ok: DefsOkFalseAsResponse;
};
export interface UpdateUsersInUserGroupResponseError extends UpdateUsersInUserGroupResponseErrorType {
}
export {};
//# sourceMappingURL=user.d.ts.map